(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     49832,       1406]*)
(*NotebookOutlinePosition[     50827,       1436]*)
(*  CellTagsIndexPosition[     50783,       1432]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(\(\(\(Off[General::"\<spell\>"]\) \)\(;\)\(\ \)\(\(Off[
        General::"\<spell1\>"]\) \)\(;\)\(\ \)\)\)], "Input"],

Cell[CellGroupData[{

Cell["The potential energy density from Bombaci01:", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CurlyEpsilon]A\  = \ 
      2/3\ A/n0 \((\((1 + x0/2)\) 
                n\^2 - \((1/2 + x0)\) \((nn\^2 + np\^2)\))\) /. 
        n \[Rule] nn + np\)], "Input"],

Cell[BoxData[
    \(\(2\ A\ \((\((nn + np)\)\^2\ \((1 + x0\/2)\) - \((nn\^2 + np\^2)\)\ \
\((1\/2 + x0)\))\)\)\/\(3\ n0\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Teq = \((\((1 + x3/2)\) n\^2 - \((1/2 + x3)\) \((nn\^2 + np\^2)\))\) 
          n\^\(\[Sigma] - 1\) /. n \[Rule] nn + np\)], "Input"],

Cell[BoxData[
    \(\((nn + np)\)\^\(\(-1\) + \[Sigma]\)\ \((\((nn + np)\)\^2\ \((1 + 
                x3\/2)\) - \((nn\^2 + np\^2)\)\ \((1\/2 + 
                x3)\))\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CurlyEpsilon]B\  = \ \(4 \( B/3\)/n0\^\[Sigma] 
             T/\((1 + 4/3\ Bp/n0\^\(\[Sigma] - 1\) \(T/n\)/n)\) /. 
          n \[Rule] nn + np\) /. T \[Rule] T[nn, np]\)], "Input"],

Cell[BoxData[
    \(\(4\ B\ n0\^\(-\[Sigma]\)\ T[nn, np]\)\/\(3\ \((1 + \(4\ Bp\ n0\^\(1 - \
\[Sigma]\)\ T[nn, np]\)\/\(3\ \((nn + np)\)\^2\))\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CurlyEpsilon]C = 
      4\ \((Ci + 2\ zi)\) \(n/5\)/
              n0 \((2/\((2\ \[Pi])\)\^3  
                  4\ \[Pi]\ Integrate[\(k\^2\) fn[k] g[k], {k, 
                      0, \[Infinity]}] + 
                2/\((2\ \[Pi])\)\^3  
                  4\ \[Pi]\ Integrate[\(k\^2\) fp[k] g[k], {k, 
                      0, \[Infinity]}])\) + 
          2\ \(\((Ci - 8\ zi)\)/5\)/
              n0 \((nn \((2/\((2\ \[Pi])\)\^3  
                      4\ \[Pi]\ Integrate[\(k\^2\) fn[k] g[k], {k, 
                          0, \[Infinity]}])\) + 
                np \((2/\((2\ \[Pi])\)\^3  
                      4\ \[Pi]\ Integrate[\(k\^2\) fp[k] g[k], {k, 
                          0, \[Infinity]}])\))\) /. 
        n \[Rule] nn + np\)], "Input"],

Cell[BoxData[
    \(\(4\ \((nn + np)\)\ \((Ci + 2\ zi)\)\ \
\((\(\[Integral]\_0\%\[Infinity]\( k\^2\ fn[k]\ g[k]\) \[DifferentialD]k\)\/\
\[Pi]\^2 + \(\[Integral]\_0\%\[Infinity]\( k\^2\ fp[k]\ g[k]\) \
\[DifferentialD]k\)\/\[Pi]\^2)\)\)\/\(5\ n0\) + \(2\ \((Ci - 8\ zi)\)\ \
\((\(nn\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fn[k]\ g[k]\) \
\[DifferentialD]k\)\)\/\[Pi]\^2 + \(np\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ \
fp[k]\ g[k]\) \[DifferentialD]k\)\)\/\[Pi]\^2)\)\)\/\(5\ n0\)\)], "Output"]
}, Open  ]],

Cell["Compute the integrals for various forms of g[k]:", "Text"],

Cell["BGBD and BPAL:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[
      Integrate[
        2/\((2\ \[Pi])\)\^3  
          4\ \[Pi]\ \(k\^2\) \((\((1 + \
k\^2/\[CapitalLambda]\^2)\)\^\(-1\))\), {k, 0, kf}], {kf > 
          0, \[CapitalLambda] > 0}]\)], "Input"],

Cell[BoxData[
    \(\(\[CapitalLambda]\^2\ \((kf - \[CapitalLambda]\ ArcTan[kf\/\
\[CapitalLambda]])\)\)\/\[Pi]\^2\)], "Output"]
}, Open  ]],

Cell["Skyrme:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Integrate[
      2/\((2\ \[Pi])\)\^3  4\ \[Pi]\ \(k\^2\) \((k\^2)\), {k, 0, 
        kf}]\)], "Input"],

Cell[BoxData[
    \(kf\^5\/\(5\ \[Pi]\^2\)\)], "Output"]
}, Open  ]],

Cell["SL:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Expand[
      Simplify[Integrate[
          2/\((2\ \[Pi])\)\^3  
            4\ \[Pi]\ \(k\^2\) \((1 - k\^2/\[CapitalLambda]\^2)\), {k, 0, 
            kf}], {kf > 0, \[CapitalLambda] > 0}]]\)], "Input"],

Cell[BoxData[
    \(kf\^3\/\(3\ \[Pi]\^2\) - 
      kf\^5\/\(5\ \[Pi]\^2\ \[CapitalLambda]\^2\)\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The potential energy density from Das03:", "Subsubsection"],

Cell["\<\
I have rewritten \[Rho] as n, \[Rho]n as nn, etc.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CurlyEpsilon]2AB = \(Au\ nn\ np/n0 + \(Al/2\)/
                n0 \((nn\^2 + np\^2)\) + 
            B/\((\[Sigma] + 1)\) 
              n\^\((\[Sigma] + 1)\)/
                n0\^\[Sigma] \((1 - x\ \[Delta]\^2)\) /. \[Delta] \[Rule] 
            1 - 2  np/\((nn + np)\)\) /. n \[Rule] \((nn + np)\)\)], "Input"],

Cell[BoxData[
    \(\(Au\ nn\ np\)\/n0 + \(Al\ \((nn\^2 + np\^2)\)\)\/\(2\ n0\) + \(B\ n0\^\
\(-\[Sigma]\)\ \((nn + np)\)\^\(1 + \[Sigma]\)\ \((1 - \((1 - \(2\ np\)\/\(nn \
+ np\))\)\^2\ x)\)\)\/\(1 + \[Sigma]\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(intg = \(\((\(2/8\)/\[Pi]\^3)\)\^2\) 
        4/3\ \(\[Pi]\^2\) \(\[CapitalLambda]\^2\) \((\((qf - \[CapitalLambda]/
                      2\ ArcTan[2\ qf/\[CapitalLambda]])\) 
              4 \((pft\^3 + 
                  pftp\^3)\) - \((3 \((pft\^2 + 
                        pftp\^2)\) + \[CapitalLambda]\^2/2)\) qf\^2 + 
            qf\^4 + \((3\ \[CapitalLambda]\^2/
                      4 \((pft\^2 + pftp\^2)\) + \[CapitalLambda]\^4/8 - 
                  3/8 \((pft\^2 - pftp\^2)\)\^2)\) 
              Log[1 + 4  qf\^2/\[CapitalLambda]\^2])\)\)], "Input"],

Cell[BoxData[
    \(\(\(1\/\(12\ \[Pi]\^4\)\)\((\[CapitalLambda]\^2\ \((qf\^4 - 
            qf\^2\ \((3\ \((pft\^2 + pftp\^2)\) + \[CapitalLambda]\^2\/2)\) + 
            4\ \((pft\^3 + pftp\^3)\)\ \((qf - 
                  1\/2\ \[CapitalLambda]\ ArcTan[\(2\ \
qf\)\/\[CapitalLambda]])\) + \((\(-\(3\/8\)\)\ \((pft\^2 - pftp\^2)\)\^2 + 
                  3\/4\ \((pft\^2 + 
                        pftp\^2)\)\ \[CapitalLambda]\^2 + \[CapitalLambda]\^4\
\/8)\)\ Log[1 + \(4\ qf\^2\)\/\[CapitalLambda]\^2])\))\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CurlyEpsilon]2C = 
      Simplify[Cl/n0 \((\(intg /. pft \[Rule] kfn\) /. pftp \[Rule] kfn)\)] + 
        Simplify[
          Cl/n0 \((\(intg /. pft \[Rule] kfp\) /. pftp \[Rule] kfp)\)] + 
        Simplify[
          Cu/n0 \((\(intg /. pft \[Rule] kfn\) /. pftp \[Rule] kfp)\)] + 
        Simplify[
          Cu/n0 \((\(intg /. pft \[Rule] kfp\) /. 
                pftp \[Rule] kfn)\)]\)], "Input"],

Cell[BoxData[
    \(\(\(1\/\(96\ n0\ \[Pi]\^4\)\)\((Cl\ \[CapitalLambda]\^2\ \((4\ qf\ \
\((16\ kfn\^3 - 12\ kfn\^2\ qf + 2\ qf\^3 - qf\ \[CapitalLambda]\^2)\) - 
              32\ kfn\^3\ \[CapitalLambda]\ ArcTan[\(2\ \
qf\)\/\[CapitalLambda]] + \((12\ kfn\^2\ \[CapitalLambda]\^2 + \
\[CapitalLambda]\^4)\)\ Log[
                  1 + \(4\ qf\^2\)\/\[CapitalLambda]\^2])\))\)\) + \
\(\(1\/\(96\ n0\ \[Pi]\^4\)\)\((Cl\ \[CapitalLambda]\^2\ \((4\ qf\ \((16\ kfp\
\^3 - 12\ kfp\^2\ qf + 2\ qf\^3 - qf\ \[CapitalLambda]\^2)\) - 
              32\ kfp\^3\ \[CapitalLambda]\ ArcTan[\(2\ \
qf\)\/\[CapitalLambda]] + \((12\ kfp\^2\ \[CapitalLambda]\^2 + \
\[CapitalLambda]\^4)\)\ Log[
                  1 + \(4\ qf\^2\)\/\[CapitalLambda]\^2])\))\)\) + \(\(1\/\(6\
\ n0\ \[Pi]\^4\)\)\((Cu\ \[CapitalLambda]\^2\ \((qf\^4 - 
              1\/2\ qf\^2\ \((6\ kfn\^2 + 
                    6\ kfp\^2 + \[CapitalLambda]\^2)\) + 
              2\ \((kfn\^3 + 
                    kfp\^3)\)\ \((2\ qf - \[CapitalLambda]\ ArcTan[\(2\ \
qf\)\/\[CapitalLambda]])\) + 
              1\/8\ \((\(-3\)\ \((kfn\^2 - kfp\^2)\)\^2 + 
                    6\ \((kfn\^2 + 
                          kfp\^2)\)\ \[CapitalLambda]\^2 + \
\[CapitalLambda]\^4)\)\ Log[
                  1 + \(4\ qf\^2\)\/\[CapitalLambda]\^2])\))\)\)\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
The single particle energy is defined (loosely) by d \
\[CurlyEpsilon] / d n_i.
Do the neutron first:\
\>", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(en1 = Simplify[D[\[CurlyEpsilon]A, nn]]\)], "Input"],

Cell[BoxData[
    \(\(2\ A\ \((nn - nn\ x0 + np\ \((2 + x0)\))\)\)\/\(3\ n0\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(en2 = Simplify[D[\[CurlyEpsilon]B, nn]]\)], "Input"],

Cell[BoxData[
    FractionBox[
      RowBox[{"4", " ", "B", " ", \((nn + np)\), " ", 
        RowBox[{"(", 
          RowBox[{\(8\ Bp\ n0\ T[nn, np]\^2\), "+", 
            RowBox[{
            "3", " ", \(n0\^\[Sigma]\), " ", \(\((nn + np)\)\^3\), " ", 
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(nn, np\), "]"}]}]}], 
          ")"}]}], \(\((3\ n0\^\[Sigma]\ \((nn + np)\)\^2 + 
              4\ Bp\ n0\ T[nn, np])\)\^2\)]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(dTdnn = Simplify[D[Teq, nn]]\)], "Input"],

Cell[BoxData[
    \(1\/2\ \((nn + np)\)\^\(\(-2\) + \[Sigma]\)\ \((\(-nn\^2\)\ \((\(-1\) + 
                x3)\)\ \((1 + \[Sigma])\) + 
          np\^2\ \((3 - x3\ \((\(-3\) + \[Sigma])\) + \[Sigma])\) + 
          2\ nn\ np\ \((1 + x3\ \((\(-1\) + \[Sigma])\) + 
                2\ \[Sigma])\))\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(en3 = Simplify[D[\[CurlyEpsilon]C, nn]]\)], "Input"],

Cell[BoxData[
    \(\(\((6\ Ci - 8\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fn[k]\ \
g[k]\) \[DifferentialD]k\) + 4\ \((Ci + 2\ zi)\)\ \(\[Integral]\_0\%\
\[Infinity]\( k\^2\ fp[k]\ g[k]\) \[DifferentialD]k\)\)\/\(5\ n0\ \
\[Pi]\^2\)\)], "Output"]
}, Open  ]],

Cell["Now the distribution function part:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(en4 = 
      4\ \((Ci + 2\ zi)\) \(n/5\)/n0\ g[k] + 
          2\ \(\((Ci - 8\ zi)\)/5\)/n0\ nn\ g[k] /. 
        n \[Rule] nn + np\)], "Input"],

Cell[BoxData[
    \(\(2\ nn\ \((Ci - 8\ zi)\)\ g[k]\)\/\(5\ n0\) + \(4\ \((nn + np)\)\ \
\((Ci + 2\ zi)\)\ g[k]\)\/\(5\ n0\)\)], "Output"]
}, Open  ]],

Cell["If C1 and C2 are both non-zero, then:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(en4both = \((\(en4 /. Ci \[Rule] C1\) /. 
            zi \[Rule] z1)\) + \((\(\(en4 /. Ci \[Rule] C2\) /. 
              zi \[Rule] z2\) /. g[k] \[Rule] g2[k])\)\)], "Input"],

Cell[BoxData[
    \(\(2\ nn\ \((C1 - 8\ z1)\)\ g[k]\)\/\(5\ n0\) + \(4\ \((nn + np)\)\ \
\((C1 + 2\ z1)\)\ g[k]\)\/\(5\ n0\) + \(2\ nn\ \((C2 - 8\ z2)\)\ g2[k]\)\/\(5\
\ n0\) + \(4\ \((nn + np)\)\ \((C2 + 2\ z2)\)\ g2[k]\)\/\(5\ n0\)\)], "Output"]
}, Open  ]],

Cell["As a function of T and its derivatives", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(entot = en1 + en2 + en3 + en4\)], "Input"],

Cell[BoxData[
    RowBox[{\(\(2\ A\ \((nn - nn\ x0 + np\ \((2 + x0)\))\)\)\/\(3\ n0\)\), 
      "+", \(\(2\ nn\ \((Ci - 8\ zi)\)\ g[k]\)\/\(5\ n0\)\), 
      "+", \(\(4\ \((nn + np)\)\ \((Ci + 2\ zi)\)\ g[k]\)\/\(5\ n0\)\), 
      "+", \(\(\((6\ Ci - 
                  8\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fn[k]\ g[
                      k]\) \[DifferentialD]k\) + 
            4\ \((Ci + 
                  2\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fp[k]\ g[
                      k]\) \[DifferentialD]k\)\)\/\(5\ n0\ \[Pi]\^2\)\), "+", 
      
      FractionBox[
        RowBox[{"4", " ", "B", " ", \((nn + np)\), " ", 
          RowBox[{"(", 
            RowBox[{\(8\ Bp\ n0\ T[nn, np]\^2\), "+", 
              RowBox[{
              "3", " ", \(n0\^\[Sigma]\), " ", \(\((nn + np)\)\^3\), " ", 
                RowBox[{
                  SuperscriptBox["T", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(nn, np\), "]"}]}]}], 
            ")"}]}], \(\((3\ n0\^\[Sigma]\ \((nn + np)\)\^2 + 
                4\ Bp\ n0\ T[nn, np])\)\^2\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(entotboth = en1 + en2 + en3 + en4both\)], "Input"],

Cell[BoxData[
    RowBox[{\(\(2\ A\ \((nn - nn\ x0 + np\ \((2 + x0)\))\)\)\/\(3\ n0\)\), 
      "+", \(\(2\ nn\ \((C1 - 8\ z1)\)\ g[k]\)\/\(5\ n0\)\), 
      "+", \(\(4\ \((nn + np)\)\ \((C1 + 2\ z1)\)\ g[k]\)\/\(5\ n0\)\), 
      "+", \(\(2\ nn\ \((C2 - 8\ z2)\)\ g2[k]\)\/\(5\ n0\)\), 
      "+", \(\(4\ \((nn + np)\)\ \((C2 + 2\ z2)\)\ g2[k]\)\/\(5\ n0\)\), 
      "+", \(\(\((6\ Ci - 
                  8\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fn[k]\ g[
                      k]\) \[DifferentialD]k\) + 
            4\ \((Ci + 
                  2\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fp[k]\ g[
                      k]\) \[DifferentialD]k\)\)\/\(5\ n0\ \[Pi]\^2\)\), "+", 
      
      FractionBox[
        RowBox[{"4", " ", "B", " ", \((nn + np)\), " ", 
          RowBox[{"(", 
            RowBox[{\(8\ Bp\ n0\ T[nn, np]\^2\), "+", 
              RowBox[{
              "3", " ", \(n0\^\[Sigma]\), " ", \(\((nn + np)\)\^3\), " ", 
                RowBox[{
                  SuperscriptBox["T", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(nn, np\), "]"}]}]}], 
            ")"}]}], \(\((3\ n0\^\[Sigma]\ \((nn + np)\)\^2 + 
                4\ Bp\ n0\ T[nn, np])\)\^2\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"entot2", "=", 
      RowBox[{\(entot /. T[nn, np] \[Rule] Teq\), "/.", 
        RowBox[{
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(nn, np\), "]"}], "\[Rule]", 
          "dTdnn"}]}]}]], "Input"],

Cell[BoxData[
    \(\(2\ A\ \((nn - nn\ x0 + np\ \((2 + x0)\))\)\)\/\(3\ n0\) + \((4\ B\ \
\((nn + np)\)\ \((8\ Bp\ n0\ \((nn + np)\)\^\(\(-2\) + 2\ \[Sigma]\)\ \
\((\((nn + np)\)\^2\ \((1 + x3\/2)\) - \((nn\^2 + np\^2)\)\ \((1\/2 + \
x3)\))\)\^2 + 
                3\/2\ n0\^\[Sigma]\ \((nn + np)\)\^\(1 + \[Sigma]\)\ \((\(-nn\
\^2\)\ \((\(-1\) + x3)\)\ \((1 + \[Sigma])\) + 
                      np\^2\ \((3 - 
                            x3\ \((\(-3\) + \[Sigma])\) + \[Sigma])\) + 
                      2\ nn\ np\ \((1 + x3\ \((\(-1\) + \[Sigma])\) + 
                            2\ \[Sigma])\))\))\))\)/\((3\ n0\^\[Sigma]\ \((nn \
+ np)\)\^2 + 4\ Bp\ n0\ \((nn + np)\)\^\(\(-1\) + \[Sigma]\)\ \((\((nn + \
np)\)\^2\ \((1 + x3\/2)\) - \((nn\^2 + np\^2)\)\ \((1\/2 + x3)\))\))\)\^2 + \
\(2\ nn\ \((Ci - 8\ zi)\)\ g[k]\)\/\(5\ n0\) + \(4\ \((nn + np)\)\ \((Ci + 2\ \
zi)\)\ g[k]\)\/\(5\ n0\) + \(\((6\ Ci - 8\ zi)\)\ \(\[Integral]\_0\%\
\[Infinity]\( k\^2\ fn[k]\ g[k]\) \[DifferentialD]k\) + 4\ \((Ci + 2\ zi)\)\ \
\(\[Integral]\_0\%\[Infinity]\( k\^2\ fp[k]\ g[k]\) \
\[DifferentialD]k\)\)\/\(5\ n0\ \[Pi]\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"entot2both", "=", 
      RowBox[{\(entotboth /. T[nn, np] \[Rule] Teq\), "/.", 
        RowBox[{
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(nn, np\), "]"}], "\[Rule]", 
          "dTdnn"}]}]}]], "Input"],

Cell[BoxData[
    \(\(2\ A\ \((nn - nn\ x0 + np\ \((2 + x0)\))\)\)\/\(3\ n0\) + \((4\ B\ \
\((nn + np)\)\ \((8\ Bp\ n0\ \((nn + np)\)\^\(\(-2\) + 2\ \[Sigma]\)\ \
\((\((nn + np)\)\^2\ \((1 + x3\/2)\) - \((nn\^2 + np\^2)\)\ \((1\/2 + \
x3)\))\)\^2 + 
                3\/2\ n0\^\[Sigma]\ \((nn + np)\)\^\(1 + \[Sigma]\)\ \((\(-nn\
\^2\)\ \((\(-1\) + x3)\)\ \((1 + \[Sigma])\) + 
                      np\^2\ \((3 - 
                            x3\ \((\(-3\) + \[Sigma])\) + \[Sigma])\) + 
                      2\ nn\ np\ \((1 + x3\ \((\(-1\) + \[Sigma])\) + 
                            2\ \[Sigma])\))\))\))\)/\((3\ n0\^\[Sigma]\ \((nn \
+ np)\)\^2 + 4\ Bp\ n0\ \((nn + np)\)\^\(\(-1\) + \[Sigma]\)\ \((\((nn + \
np)\)\^2\ \((1 + x3\/2)\) - \((nn\^2 + np\^2)\)\ \((1\/2 + x3)\))\))\)\^2 + \
\(2\ nn\ \((C1 - 8\ z1)\)\ g[k]\)\/\(5\ n0\) + \(4\ \((nn + np)\)\ \((C1 + 2\ \
z1)\)\ g[k]\)\/\(5\ n0\) + \(2\ nn\ \((C2 - 8\ z2)\)\ g2[k]\)\/\(5\ n0\) + \
\(4\ \((nn + np)\)\ \((C2 + 2\ z2)\)\ g2[k]\)\/\(5\ n0\) + \(\((6\ Ci - 8\ \
zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fn[k]\ g[k]\) \
\[DifferentialD]k\) + 4\ \((Ci + 2\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( \
k\^2\ fp[k]\ g[k]\) \[DifferentialD]k\)\)\/\(5\ n0\ \[Pi]\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[entot2]\)], "Input"],

Cell[BoxData[
    \(\(2\ A\ \((nn - nn\ x0 + np\ \((2 + x0)\))\)\)\/\(3\ n0\) + \((4\ B\ \
\((nn + np)\)\ \((2\ Bp\ n0\ \((nn + np)\)\^\(\(-2\) + 2\ \[Sigma]\)\ \
\((nn\^2\ \((\(-1\) + x3)\) + np\^2\ \((\(-1\) + x3)\) - 2\ nn\ np\ \((2 + \
x3)\))\)\^2 + 
                3\/2\ n0\^\[Sigma]\ \((nn + np)\)\^\(1 + \[Sigma]\)\ \((\(-nn\
\^2\)\ \((\(-1\) + x3)\)\ \((1 + \[Sigma])\) + 
                      np\^2\ \((3 - 
                            x3\ \((\(-3\) + \[Sigma])\) + \[Sigma])\) + 
                      2\ nn\ np\ \((1 + x3\ \((\(-1\) + \[Sigma])\) + 
                            2\ \[Sigma])\))\))\))\)/\((3\ n0\^\[Sigma]\ \((nn \
+ np)\)\^2 - 2\ Bp\ n0\ \((nn + np)\)\^\(\(-1\) + \[Sigma]\)\ \((nn\^2\ \
\((\(-1\) + x3)\) + np\^2\ \((\(-1\) + x3)\) - 2\ nn\ np\ \((2 + \
x3)\))\))\)\^2 + \(2\ nn\ \((Ci - 8\ zi)\)\ g[k]\)\/\(5\ n0\) + \(4\ \((nn + \
np)\)\ \((Ci + 2\ zi)\)\ g[k]\)\/\(5\ n0\) + \(\((6\ Ci - 8\ zi)\)\ \(\
\[Integral]\_0\%\[Infinity]\( k\^2\ fn[k]\ g[k]\) \[DifferentialD]k\) + 4\ \
\((Ci + 2\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fp[k]\ g[k]\) \
\[DifferentialD]k\)\)\/\(5\ n0\ \[Pi]\^2\)\)], "Output"]
}, Open  ]],

Cell["Now the proton part:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ep1 = Simplify[D[\[CurlyEpsilon]A, np]]\)], "Input"],

Cell[BoxData[
    \(\(2\ A\ \((np - np\ x0 + nn\ \((2 + x0)\))\)\)\/\(3\ n0\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ep2 = Simplify[D[\[CurlyEpsilon]B, np]]\)], "Input"],

Cell[BoxData[
    FractionBox[
      RowBox[{"4", " ", "B", " ", \((nn + np)\), " ", 
        RowBox[{"(", 
          RowBox[{\(8\ Bp\ n0\ T[nn, np]\^2\), "+", 
            RowBox[{
            "3", " ", \(n0\^\[Sigma]\), " ", \(\((nn + np)\)\^3\), " ", 
              RowBox[{
                SuperscriptBox["T", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(nn, np\), "]"}]}]}], 
          ")"}]}], \(\((3\ n0\^\[Sigma]\ \((nn + np)\)\^2 + 
              4\ Bp\ n0\ T[nn, np])\)\^2\)]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(dTdnp = Simplify[D[Teq, np]]\)], "Input"],

Cell[BoxData[
    \(1\/2\ \((nn + np)\)\^\(\(-2\) + \[Sigma]\)\ \((\(-np\^2\)\ \((\(-1\) + 
                x3)\)\ \((1 + \[Sigma])\) + 
          nn\^2\ \((3 - x3\ \((\(-3\) + \[Sigma])\) + \[Sigma])\) + 
          2\ nn\ np\ \((1 + x3\ \((\(-1\) + \[Sigma])\) + 
                2\ \[Sigma])\))\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ep3 = Simplify[D[\[CurlyEpsilon]C, np]]\)], "Input"],

Cell[BoxData[
    \(\(4\ \((Ci + 2\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fn[k]\ \
g[k]\) \[DifferentialD]k\) + 2\ \((3\ Ci - 4\ zi)\)\ \(\[Integral]\_0\%\
\[Infinity]\( k\^2\ fp[k]\ g[k]\) \[DifferentialD]k\)\)\/\(5\ n0\ \
\[Pi]\^2\)\)], "Output"]
}, Open  ]],

Cell["Now the distribution function part:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ep4 = 
      4\ \((Ci + 2\ zi)\) \(n/5\)/n0\ g[k] + 
          2\ \(\((Ci - 8\ zi)\)/5\)/n0\ np\ g[k] /. 
        n \[Rule] nn + np\)], "Input"],

Cell[BoxData[
    \(\(2\ np\ \((Ci - 8\ zi)\)\ g[k]\)\/\(5\ n0\) + \(4\ \((nn + np)\)\ \
\((Ci + 2\ zi)\)\ g[k]\)\/\(5\ n0\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ep4both = \((\(ep4 /. Ci \[Rule] C1\) /. 
            zi \[Rule] z1)\) + \((\(\(ep4 /. Ci \[Rule] C2\) /. 
              zi \[Rule] z2\) /. g[k] \[Rule] g2[k])\)\)], "Input"],

Cell[BoxData[
    \(\(2\ np\ \((C1 - 8\ z1)\)\ g[k]\)\/\(5\ n0\) + \(4\ \((nn + np)\)\ \
\((C1 + 2\ z1)\)\ g[k]\)\/\(5\ n0\) + \(2\ np\ \((C2 - 8\ z2)\)\ g2[k]\)\/\(5\
\ n0\) + \(4\ \((nn + np)\)\ \((C2 + 2\ z2)\)\ g2[k]\)\/\(5\ n0\)\)], "Output"]
}, Open  ]],

Cell["As a function of T and its derivatives", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(eptot = ep1 + ep2 + ep3 + ep4\)], "Input"],

Cell[BoxData[
    RowBox[{\(\(2\ A\ \((np - np\ x0 + nn\ \((2 + x0)\))\)\)\/\(3\ n0\)\), 
      "+", \(\(2\ np\ \((Ci - 8\ zi)\)\ g[k]\)\/\(5\ n0\)\), 
      "+", \(\(4\ \((nn + np)\)\ \((Ci + 2\ zi)\)\ g[k]\)\/\(5\ n0\)\), 
      "+", \(\(4\ \((Ci + 
                  2\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fn[k]\ g[
                      k]\) \[DifferentialD]k\) + 
            2\ \((3\ Ci - 
                  4\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fp[k]\ g[
                      k]\) \[DifferentialD]k\)\)\/\(5\ n0\ \[Pi]\^2\)\), "+", 
      
      FractionBox[
        RowBox[{"4", " ", "B", " ", \((nn + np)\), " ", 
          RowBox[{"(", 
            RowBox[{\(8\ Bp\ n0\ T[nn, np]\^2\), "+", 
              RowBox[{
              "3", " ", \(n0\^\[Sigma]\), " ", \(\((nn + np)\)\^3\), " ", 
                RowBox[{
                  SuperscriptBox["T", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(nn, np\), "]"}]}]}], 
            ")"}]}], \(\((3\ n0\^\[Sigma]\ \((nn + np)\)\^2 + 
                4\ Bp\ n0\ T[nn, np])\)\^2\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(eptotboth = ep1 + ep2 + ep3 + ep4both\)], "Input"],

Cell[BoxData[
    RowBox[{\(\(2\ A\ \((np - np\ x0 + nn\ \((2 + x0)\))\)\)\/\(3\ n0\)\), 
      "+", \(\(2\ np\ \((C1 - 8\ z1)\)\ g[k]\)\/\(5\ n0\)\), 
      "+", \(\(4\ \((nn + np)\)\ \((C1 + 2\ z1)\)\ g[k]\)\/\(5\ n0\)\), 
      "+", \(\(2\ np\ \((C2 - 8\ z2)\)\ g2[k]\)\/\(5\ n0\)\), 
      "+", \(\(4\ \((nn + np)\)\ \((C2 + 2\ z2)\)\ g2[k]\)\/\(5\ n0\)\), 
      "+", \(\(4\ \((Ci + 
                  2\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fn[k]\ g[
                      k]\) \[DifferentialD]k\) + 
            2\ \((3\ Ci - 
                  4\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fp[k]\ g[
                      k]\) \[DifferentialD]k\)\)\/\(5\ n0\ \[Pi]\^2\)\), "+", 
      
      FractionBox[
        RowBox[{"4", " ", "B", " ", \((nn + np)\), " ", 
          RowBox[{"(", 
            RowBox[{\(8\ Bp\ n0\ T[nn, np]\^2\), "+", 
              RowBox[{
              "3", " ", \(n0\^\[Sigma]\), " ", \(\((nn + np)\)\^3\), " ", 
                RowBox[{
                  SuperscriptBox["T", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(nn, np\), "]"}]}]}], 
            ")"}]}], \(\((3\ n0\^\[Sigma]\ \((nn + np)\)\^2 + 
                4\ Bp\ n0\ T[nn, np])\)\^2\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"eptot2", "=", 
      RowBox[{\(eptot /. T[nn, np] \[Rule] Teq\), "/.", 
        RowBox[{
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(nn, np\), "]"}], "\[Rule]", 
          "dTdnp"}]}]}]], "Input"],

Cell[BoxData[
    \(\(2\ A\ \((np - np\ x0 + nn\ \((2 + x0)\))\)\)\/\(3\ n0\) + \((4\ B\ \
\((nn + np)\)\ \((8\ Bp\ n0\ \((nn + np)\)\^\(\(-2\) + 2\ \[Sigma]\)\ \
\((\((nn + np)\)\^2\ \((1 + x3\/2)\) - \((nn\^2 + np\^2)\)\ \((1\/2 + \
x3)\))\)\^2 + 
                3\/2\ n0\^\[Sigma]\ \((nn + np)\)\^\(1 + \[Sigma]\)\ \((\(-np\
\^2\)\ \((\(-1\) + x3)\)\ \((1 + \[Sigma])\) + 
                      nn\^2\ \((3 - 
                            x3\ \((\(-3\) + \[Sigma])\) + \[Sigma])\) + 
                      2\ nn\ np\ \((1 + x3\ \((\(-1\) + \[Sigma])\) + 
                            2\ \[Sigma])\))\))\))\)/\((3\ n0\^\[Sigma]\ \((nn \
+ np)\)\^2 + 4\ Bp\ n0\ \((nn + np)\)\^\(\(-1\) + \[Sigma]\)\ \((\((nn + \
np)\)\^2\ \((1 + x3\/2)\) - \((nn\^2 + np\^2)\)\ \((1\/2 + x3)\))\))\)\^2 + \
\(2\ np\ \((Ci - 8\ zi)\)\ g[k]\)\/\(5\ n0\) + \(4\ \((nn + np)\)\ \((Ci + 2\ \
zi)\)\ g[k]\)\/\(5\ n0\) + \(4\ \((Ci + 2\ zi)\)\ \(\[Integral]\_0\%\
\[Infinity]\( k\^2\ fn[k]\ g[k]\) \[DifferentialD]k\) + 2\ \((3\ Ci - 4\ \
zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fp[k]\ g[k]\) \
\[DifferentialD]k\)\)\/\(5\ n0\ \[Pi]\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"eptot2both", "=", 
      RowBox[{\(eptotboth /. T[nn, np] \[Rule] Teq\), "/.", 
        RowBox[{
          RowBox[{
            SuperscriptBox["T", 
              TagBox[\((0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(nn, np\), "]"}], "\[Rule]", 
          "dTdnp"}]}]}]], "Input"],

Cell[BoxData[
    \(\(2\ A\ \((np - np\ x0 + nn\ \((2 + x0)\))\)\)\/\(3\ n0\) + \((4\ B\ \
\((nn + np)\)\ \((8\ Bp\ n0\ \((nn + np)\)\^\(\(-2\) + 2\ \[Sigma]\)\ \
\((\((nn + np)\)\^2\ \((1 + x3\/2)\) - \((nn\^2 + np\^2)\)\ \((1\/2 + \
x3)\))\)\^2 + 
                3\/2\ n0\^\[Sigma]\ \((nn + np)\)\^\(1 + \[Sigma]\)\ \((\(-np\
\^2\)\ \((\(-1\) + x3)\)\ \((1 + \[Sigma])\) + 
                      nn\^2\ \((3 - 
                            x3\ \((\(-3\) + \[Sigma])\) + \[Sigma])\) + 
                      2\ nn\ np\ \((1 + x3\ \((\(-1\) + \[Sigma])\) + 
                            2\ \[Sigma])\))\))\))\)/\((3\ n0\^\[Sigma]\ \((nn \
+ np)\)\^2 + 4\ Bp\ n0\ \((nn + np)\)\^\(\(-1\) + \[Sigma]\)\ \((\((nn + \
np)\)\^2\ \((1 + x3\/2)\) - \((nn\^2 + np\^2)\)\ \((1\/2 + x3)\))\))\)\^2 + \
\(2\ np\ \((C1 - 8\ z1)\)\ g[k]\)\/\(5\ n0\) + \(4\ \((nn + np)\)\ \((C1 + 2\ \
z1)\)\ g[k]\)\/\(5\ n0\) + \(2\ np\ \((C2 - 8\ z2)\)\ g2[k]\)\/\(5\ n0\) + \
\(4\ \((nn + np)\)\ \((C2 + 2\ z2)\)\ g2[k]\)\/\(5\ n0\) + \(4\ \((Ci + 2\ \
zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ fn[k]\ g[k]\) \
\[DifferentialD]k\) + 2\ \((3\ Ci - 4\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( \
k\^2\ fp[k]\ g[k]\) \[DifferentialD]k\)\)\/\(5\ n0\ \[Pi]\^2\)\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Now express in terms of \[Beta] to compare with Eq. 71 of Bombaci01 \
(in the case of BGBD and Bp == 0):\
\>", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(npsols = \(Solve[{\((nn - np)\)/n \[Equal] \[Beta], n == nn + np}, {nn, 
            np}]\)[\([1]\)]\)], "Input"],

Cell[BoxData[
    \({nn \[Rule] \(-\(1\/2\)\)\ \((\(-n\) - n\ \[Beta])\), 
      np \[Rule] \(-\(1\/2\)\)\ n\ \((\(-1\) + \[Beta])\)}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(entot\[Beta] = 
      Simplify[\(\(\(entot2 /. npsols[\([1]\)]\) /. npsols[\([2]\)]\) /. 
            n \[Rule] u\ n0\) /. B \[Rule] Bpp/\((1 + \[Sigma])\)]\)], "Input"],

Cell[BoxData[
    \(\(-\(1\/3\)\)\ A\ u\ \((\(-3\) + \[Beta] + 
            2\ x0\ \[Beta])\) + \((Bpp\ u\ \((n0\ u)\)\^\[Sigma]\ \((2\ Bp\ \
\((n0\ u)\)\^\[Sigma]\ \((\(-3\) + \((1 + 2\ x3)\)\ \[Beta]\^2)\)\^2 - 
                3\ n0\^\[Sigma]\ u\ \((\((2 + 4\ x3)\)\ \[Beta] + \((1 + 
                            2\ x3)\)\ \[Beta]\^2\ \((\(-1\) + \[Sigma])\) - 
                      3\ \((1 + \[Sigma])\))\))\))\)/\((\((\(-3\)\ n0\^\
\[Sigma]\ u + Bp\ \((n0\ u)\)\^\[Sigma]\ \((\(-3\) + \((1 + 2\ x3)\)\ \[Beta]\
\^2)\))\)\^2\ \((1 + \[Sigma])\))\) + 4\/5\ u\ \((Ci + 2\ zi)\)\ g[k] + 
      1\/5\ u\ \((Ci - 8\ zi)\)\ \((1 + \[Beta])\)\ g[
          k] + \(\((6\ Ci - 8\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ \
fn[k]\ g[k]\) \[DifferentialD]k\) + 4\ \((Ci + 2\ zi)\)\ \(\[Integral]\_0\%\
\[Infinity]\( k\^2\ fp[k]\ g[k]\) \[DifferentialD]k\)\)\/\(5\ n0\ \
\[Pi]\^2\)\)], "Output"]
}, Open  ]],

Cell["The term involving A:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Expand[\(\(\(entot\[Beta] /. B \[Rule] 0\) /. Bpp \[Rule] 0\) /. 
          Ci \[Rule] 0\) /. zi \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(A\ u - \(A\ u\ \[Beta]\)\/3 - 2\/3\ A\ u\ x0\ \[Beta]\)], "Output"]
}, Open  ]],

Cell["The term involving Bpp:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(tmp = 
      Simplify[\(\(\(entot\[Beta] /. A \[Rule] 0\) /. Ci \[Rule] 0\) /. 
            zi \[Rule] 0\) /. Bp \[Rule] 0, n0 > 0]\)], "Input"],

Cell[BoxData[
    \(\(-\(\(Bpp\ u\^\[Sigma]\ \((\((2 + 4\ x3)\)\ \[Beta] + \((1 + 
                      2\ x3)\)\ \[Beta]\^2\ \((\(-1\) + \[Sigma])\) - 
                3\ \((1 + \[Sigma])\))\)\)\/\(3\ \((1 + \[Sigma])\)\)\)\)\)], \
"Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[SeriesCoefficient[Series[tmp, {\[Beta], 0, 3}], 0]]\)], "Input"],

Cell[BoxData[
    \(Bpp\ u\^\[Sigma]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[
        SeriesCoefficient[Series[tmp, {\[Beta], 0, 3}], 
          1]] \[Beta]\)], "Input"],

Cell[BoxData[
    \(\(-\(\(2\ Bpp\ u\^\[Sigma]\ \((1 + 
                2\ x3)\)\ \[Beta]\)\/\(3\ \((1 + \[Sigma])\)\)\)\)\)], \
"Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[
        SeriesCoefficient[Series[tmp, {\[Beta], 0, 3}], 
          2]] \[Beta]\^2\)], "Input"],

Cell[BoxData[
    \(\(-\(\(Bpp\ u\^\[Sigma]\ \((1 + 
                2\ x3)\)\ \[Beta]\^2\ \((\(-1\) + \[Sigma])\)\)\/\(3\ \((1 + \
\[Sigma])\)\)\)\)\)], "Output"]
}, Open  ]],

Cell["The terms involving Ci and zi:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(entot\[Beta] /. A \[Rule] 0\) /. Bpp \[Rule] 0\) /. 
      B \[Rule] 0\)], "Input"],

Cell[BoxData[
    \(4\/5\ u\ \((Ci + 2\ zi)\)\ g[k] + 
      1\/5\ u\ \((Ci - 8\ zi)\)\ \((1 + \[Beta])\)\ g[
          k] + \(\((6\ Ci - 8\ zi)\)\ \(\[Integral]\_0\%\[Infinity]\( k\^2\ \
fn[k]\ g[k]\) \[DifferentialD]k\) + 4\ \((Ci + 2\ zi)\)\ \(\[Integral]\_0\%\
\[Infinity]\( k\^2\ fp[k]\ g[k]\) \[DifferentialD]k\)\)\/\(5\ n0\ \
\[Pi]\^2\)\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Now for the Das03 potential energy density:", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(end1 = D[\[CurlyEpsilon]2AB, nn]\)], "Input"],

Cell[BoxData[
    \(\(Al\ nn\)\/n0 + \(Au\ np\)\/n0 + 
      B\ n0\^\(-\[Sigma]\)\ \((nn + np)\)\^\[Sigma]\ \((1 - \((1 - \(2\ \
np\)\/\(nn + np\))\)\^2\ x)\) - \(4\ B\ n0\^\(-\[Sigma]\)\ np\ \((nn + \
np)\)\^\(\(-1\) + \[Sigma]\)\ \((1 - \(2\ np\)\/\(nn + np\))\)\ x\)\/\(1 + \
\[Sigma]\)\)], "Output"]
}, Open  ]],

Cell["Compare with Eq. 3.3:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[
      end1 - \((Au\ np/n0 + Al\ nn/n0 + 
                B \(\((n/n0)\)\^\[Sigma]\) \((1 - x\ \[Delta]\^2)\) - 
                x\ B/\((\[Sigma] + 1)\)\ n\^\(\[Sigma] + 1\)/
                    n0\^\[Sigma] \((4\ \[Delta]\ np/
                        n\^2)\) /. \[Delta] \[Rule] 
                1 - 2\ np/\((nn + np)\))\) /. 
        n \[Rule] nn + np, {\[Sigma] > 0, n0 > 0}]\)], "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]],

Cell["For the terms involving integrals, we just copy the result:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(mintg = 
      2/\((2\ \[Pi])\)\^3  \[Pi]\ \(\[CapitalLambda]\^3\) \((\(\(\((pft\^2 + \
\[CapitalLambda]\^2 - p\^2)\)/2\)/
                  p\)/\[CapitalLambda]\ Log[\((\((p + pft)\)\^2 + \
\[CapitalLambda]\^2)\)/\((\((p - pft)\)\^2 + \[CapitalLambda]\^2)\)] + 
            2\ pft/\[CapitalLambda] - 
            2 \((ArcTan[\((p + pft)\)/\[CapitalLambda]] - 
                  ArcTan[\((p - pft)\)/\[CapitalLambda]])\))\)\)], "Input"],

Cell[BoxData[
    \(\(\[CapitalLambda]\^3\ \((\(2\ pft\)\/\[CapitalLambda] - 2\ \
\((\(-ArcTan[\(p - pft\)\/\[CapitalLambda]]\) + ArcTan[\(p + pft\)\/\
\[CapitalLambda]])\) + \(\((\(-p\^2\) + pft\^2 + \[CapitalLambda]\^2)\)\ Log[\
\(\((p + pft)\)\^2 + \[CapitalLambda]\^2\)\/\(\((p - pft)\)\^2 + \
\[CapitalLambda]\^2\)]\)\/\(2\ p\ \[CapitalLambda]\))\)\)\/\(4\ \
\[Pi]\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(end2 = 
      Simplify[\(2\ Cl/n0\ mintg /. pft \[Rule] kfn\) /. pftp \[Rule] kfn] + 
        Simplify[\(2\ Cu/n0\ mintg /. pft \[Rule] kfn\) /. 
            pftp \[Rule] kfp]\)], "Input"],

Cell[BoxData[
    \(\(\(1\/\(2\ n0\ \[Pi]\^2\)\)\((Cl\ \[CapitalLambda]\^3\ \((\(2\ kfn\)\/\
\[CapitalLambda] - 
              2\ \((ArcTan[\(kfn - p\)\/\[CapitalLambda]] + 
                    ArcTan[\(kfn + p\)\/\[CapitalLambda]])\) + \(\((kfn\^2 - \
p\^2 + \[CapitalLambda]\^2)\)\ Log[\(\((kfn + p)\)\^2 + \[CapitalLambda]\^2\)\
\/\(\((kfn - p)\)\^2 + \[CapitalLambda]\^2\)]\)\/\(2\ p\ \
\[CapitalLambda]\))\))\)\) + \(\(1\/\(2\ n0\ \[Pi]\^2\)\)\((Cu\ \
\[CapitalLambda]\^3\ \((\(2\ kfn\)\/\[CapitalLambda] - 
              2\ \((ArcTan[\(kfn - p\)\/\[CapitalLambda]] + 
                    ArcTan[\(kfn + p\)\/\[CapitalLambda]])\) + \(\((kfn\^2 - \
p\^2 + \[CapitalLambda]\^2)\)\ Log[\(\((kfn + p)\)\^2 + \[CapitalLambda]\^2\)\
\/\(\((kfn - p)\)\^2 + \[CapitalLambda]\^2\)]\)\/\(2\ p\ \
\[CapitalLambda]\))\))\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(epd1 = D[\[CurlyEpsilon]2AB, np]\)], "Input"],

Cell[BoxData[
    \(\(Au\ nn\)\/n0 + \(Al\ np\)\/n0 + 
      B\ n0\^\(-\[Sigma]\)\ \((nn + np)\)\^\[Sigma]\ \((1 - \((1 - \(2\ \
np\)\/\(nn + np\))\)\^2\ x)\) - \(2\ B\ n0\^\(-\[Sigma]\)\ \((nn + np)\)\^\(1 \
+ \[Sigma]\)\ \((\(2\ np\)\/\((nn + np)\)\^2 - 2\/\(nn + np\))\)\ \((1 - \(2\ \
np\)\/\(nn + np\))\)\ x\)\/\(1 + \[Sigma]\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(epd2 = 
      Simplify[\(2\ Cl/n0\ mintg /. pft \[Rule] kfp\) /. pftp \[Rule] kfp] + 
        Simplify[\(2\ Cu/n0\ mintg /. pft \[Rule] kfp\) /. 
            pftp \[Rule] kfn]\)], "Input"],

Cell[BoxData[
    \(\(\(1\/\(2\ n0\ \[Pi]\^2\)\)\((Cl\ \[CapitalLambda]\^3\ \((\(2\ kfp\)\/\
\[CapitalLambda] - 
              2\ \((ArcTan[\(kfp - p\)\/\[CapitalLambda]] + 
                    ArcTan[\(kfp + p\)\/\[CapitalLambda]])\) + \(\((kfp\^2 - \
p\^2 + \[CapitalLambda]\^2)\)\ Log[\(\((kfp + p)\)\^2 + \[CapitalLambda]\^2\)\
\/\(\((kfp - p)\)\^2 + \[CapitalLambda]\^2\)]\)\/\(2\ p\ \
\[CapitalLambda]\))\))\)\) + \(\(1\/\(2\ n0\ \[Pi]\^2\)\)\((Cu\ \
\[CapitalLambda]\^3\ \((\(2\ kfp\)\/\[CapitalLambda] - 
              2\ \((ArcTan[\(kfp - p\)\/\[CapitalLambda]] + 
                    ArcTan[\(kfp + p\)\/\[CapitalLambda]])\) + \(\((kfp\^2 - \
p\^2 + \[CapitalLambda]\^2)\)\ Log[\(\((kfp + p)\)\^2 + \[CapitalLambda]\^2\)\
\/\(\((kfp - p)\)\^2 + \[CapitalLambda]\^2\)]\)\/\(2\ p\ \
\[CapitalLambda]\))\))\)\)\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Now the effective masses are given by:", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(mistar/m == \((m/k\ den/dk)\)\^\(-1\)\)], "Input"],

Cell[BoxData[
    \(mistar\/m \[Equal] \(dk\ k\)\/\(den\ m\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(msom1 = 
      Simplify[\(m\ D[entot2, k]/k /. npsols[\([1]\)]\) /. 
          npsols[\([2]\)]]\)], "Input"],

Cell[BoxData[
    FractionBox[
      RowBox[{
      "m", " ", "n", " ", \((\(-8\)\ zi\ \[Beta] + Ci\ \((5 + \[Beta])\))\), 
        " ", 
        RowBox[{
          SuperscriptBox["g", "\[Prime]",
            MultilineFunction->None], "[", "k", 
          "]"}]}], \(5\ k\ n0\)]], "Output"]
}, Open  ]],

Cell["\<\
Compare with Eq. 80 for the neutron effective mass in the case of \
the BGBD eos:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\(\(msom1 /. \(g\^\[Prime]\)[k] \[Rule] 
                D[\((1 + k\^2/\[CapitalLambda]1\^2)\)\^\(-1\), k]\) /. 
            k \[Rule] kfn\) /. npsols[\([1]\)]\) /. npsols[\([2]\)]\) /. 
      n \[Rule] u\ n0\)], "Input"],

Cell[BoxData[
    \(\(-\(\(2\ m\ u\ \((\(-8\)\ zi\ \[Beta] + 
                Ci\ \((5 + \[Beta])\))\)\)\/\(5\ \((1 + kfn\^2\/\
\[CapitalLambda]1\^2)\)\^2\ \[CapitalLambda]1\^2\)\)\)\)], "Output"]
}, Open  ]],

Cell["Use eq. 9 from Bombaci01:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[\(\(kfn\^2 /. 
            kfn \[Rule] \((3\ \[Pi]\^2/2\ \((1 + \[Beta])\) n)\)\^\(1/3\)\) /. 
          n \[Rule] u\ n0\) /. 
        n0 \[Rule] 2 \( kf0\^3/3\)/\[Pi]\^2, {\[Beta] > 1}]\)], "Input"],

Cell[BoxData[
    \(\((kf0\^3\ u\ \((1 + \[Beta])\))\)\^\(2/3\)\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "Examine the effective masses in general for all forms for g[k]. \nThese \
are  ",
  Cell[BoxData[
      \(TraditionalForm\`\((\(m\^*\)/m)\)\^\(-1\) - 1\)]],
  ":"
}], "Text"],

Cell["BGBD:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \({Simplify[\(m\ D[entot2, k]/k /. 
              g[k] \[Rule] \((1 + k\^2/\[CapitalLambda]\^2)\)\^\(-1\)\) /. \
\(g\^\[Prime]\)[k] \[Rule] D[\((1 + k\^2/\[CapitalLambda]\^2)\)\^\(-1\), k]] /. 
        k \[Rule] kfn, 
      Simplify[\(m\ D[eptot2, k]/k /. 
              g[k] \[Rule] \((1 + k\^2/\[CapitalLambda]\^2)\)\^\(-1\)\) /. \
\(g\^\[Prime]\)[k] \[Rule] D[\((1 + k\^2/\[CapitalLambda]\^2)\)\^\(-1\), k]] /. 
        k \[Rule] kfp}\)], "Input"],

Cell[BoxData[
    \({\(-\(\(4\ m\ \((3\ Ci\ nn + 2\ Ci\ np - 4\ nn\ zi + 
                  4\ np\ zi)\)\ \[CapitalLambda]\^2\)\/\(5\ n0\ \((kfn\^2 + \
\[CapitalLambda]\^2)\)\^2\)\)\), \(-\(\(4\ m\ \((2\ Ci\ nn + 3\ Ci\ np + 
                  4\ nn\ zi - 
                  4\ np\ zi)\)\ \[CapitalLambda]\^2\)\/\(5\ n0\ \((kfp\^2 + \
\[CapitalLambda]\^2)\)\^2\)\)\)}\)], "Output"]
}, Open  ]],

Cell["Skyrme:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \({Simplify[\(m\ D[entot2, k]/k /. 
            g[k] \[Rule] k\^2\) /. \(g\^\[Prime]\)[k] \[Rule] 2\ k], 
      Simplify[\(m\ D[eptot2, k]/k /. 
            g[k] \[Rule] k\^2\) /. \(g\^\[Prime]\)[k] \[Rule] 
            2\ k]}\)], "Input"],

Cell[BoxData[
    \({\(4\ m\ \((3\ Ci\ nn + 2\ Ci\ np - 4\ nn\ zi + 4\ np\ zi)\)\)\/\(5\ n0\
\), \(4\ m\ \((2\ Ci\ nn + 3\ Ci\ np + 4\ nn\ zi - 4\ np\ zi)\)\)\/\(5\ n0\)}\
\)], "Output"]
}, Open  ]],

Cell["BPAL:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \({Simplify[\(\(\(m\ D[entot2both, k]/k /. 
                  g[k] \[Rule] \((1 + k\^2/\[CapitalLambda]1\^2)\)\^\(-1\)\) /. \
\(g\^\[Prime]\)[k] \[Rule] 
                  D[\((1 + k\^2/\[CapitalLambda]1\^2)\)\^\(-1\), k]\) /. 
              g2[k] \[Rule] \((1 + k\^2/\[CapitalLambda]2\^2)\)\^\(-1\)\) /. \
\(g2\^\[Prime]\)[k] \[Rule] 
              D[\((1 + k\^2/\[CapitalLambda]2\^2)\)\^\(-1\), k]] /. 
        k \[Rule] kfn, 
      Simplify[\(\(\(m\ D[eptot2both, k]/k /. 
                  g[k] \[Rule] \((1 + k\^2/\[CapitalLambda]1\^2)\)\^\(-1\)\) /. \
\(g\^\[Prime]\)[k] \[Rule] 
                  D[\((1 + k\^2/\[CapitalLambda]1\^2)\)\^\(-1\), k]\) /. 
              g2[k] \[Rule] \((1 + k\^2/\[CapitalLambda]2\^2)\)\^\(-1\)\) /. \
\(g2\^\[Prime]\)[k] \[Rule] 
              D[\((1 + k\^2/\[CapitalLambda]2\^2)\)\^\(-1\), k]] /. 
        k \[Rule] kfp}\)], "Input"],

Cell[BoxData[
    \({\(\(1\/\(5\ n0\)\)\((4\ m\ \((\(-\(\(nn\ \((C1 - 
                          8\ z1)\)\ \[CapitalLambda]1\^2\)\/\((kfn\^2 + \
\[CapitalLambda]1\^2)\)\^2\)\) - \(2\ \((nn + np)\)\ \((C1 + 2\ z1)\)\ \
\[CapitalLambda]1\^2\)\/\((kfn\^2 + \[CapitalLambda]1\^2)\)\^2 - \(nn\ \((C2 \
- 8\ z2)\)\ \[CapitalLambda]2\^2\)\/\((kfn\^2 + \[CapitalLambda]2\^2)\)\^2 - \
\(2\ \((nn + np)\)\ \((C2 + 2\ z2)\)\ \[CapitalLambda]2\^2\)\/\((kfn\^2 + \
\[CapitalLambda]2\^2)\)\^2)\))\)\), \(\(1\/\(5\ n0\)\)\((4\ m\ \((\(-\(\(np\ \
\((C1 - 8\ z1)\)\ \[CapitalLambda]1\^2\)\/\((kfp\^2 + \[CapitalLambda]1\^2)\)\
\^2\)\) - \(2\ \((nn + np)\)\ \((C1 + 2\ z1)\)\ \
\[CapitalLambda]1\^2\)\/\((kfp\^2 + \[CapitalLambda]1\^2)\)\^2 - \(np\ \((C2 \
- 8\ z2)\)\ \[CapitalLambda]2\^2\)\/\((kfp\^2 + \[CapitalLambda]2\^2)\)\^2 - \
\(2\ \((nn + np)\)\ \((C2 + 2\ z2)\)\ \[CapitalLambda]2\^2\)\/\((kfp\^2 + \
\[CapitalLambda]2\^2)\)\^2)\))\)\)}\)], "Output"]
}, Open  ]],

Cell["SL:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(slmt = {\(\(\(\(m\ D[entot2both, k]/k /. 
                  g[k] \[Rule] \((1 - 
                        k\^2/\[CapitalLambda]1\^2)\)\) /. \(g\^\[Prime]\)[
                    k] \[Rule] D[\((1 - k\^2/\[CapitalLambda]1\^2)\), k]\) /. 
              g2[k] \[Rule] \((1 + k\^2/\[CapitalLambda]2\^2)\)\^\(-1\)\) /. \
\(g2\^\[Prime]\)[k] \[Rule] 
              D[\((1 + k\^2/\[CapitalLambda]2\^2)\)\^\(-1\), k]\) /. 
          k \[Rule] 
            kfn, \[IndentingNewLine]\(\(\(\(m\ D[eptot2both, k]/k /. 
                  g[k] \[Rule] \((1 - 
                        k\^2/\[CapitalLambda]1\^2)\)\) /. \(g\^\[Prime]\)[
                    k] \[Rule] D[\((1 - k\^2/\[CapitalLambda]1\^2)\), k]\) /. 
              g2[k] \[Rule] \((1 + k\^2/\[CapitalLambda]2\^2)\)\^\(-1\)\) /. \
\(g2\^\[Prime]\)[k] \[Rule] 
              D[\((1 + k\^2/\[CapitalLambda]2\^2)\)\^\(-1\), k]\) /. 
          k \[Rule] kfp}\)], "Input"],

Cell[BoxData[
    \({\(\(1\/kfn\)\((m\ \((\(-\(\(4\ kfn\ nn\ \((C1 - 
                          8\ z1)\)\)\/\(5\ n0\ \[CapitalLambda]1\^2\)\)\) - \
\(8\ kfn\ \((nn + np)\)\ \((C1 + 2\ z1)\)\)\/\(5\ n0\ \[CapitalLambda]1\^2\) \
- \(4\ kfn\ nn\ \((C2 - 8\ z2)\)\)\/\(5\ n0\ \((1 + kfn\^2\/\[CapitalLambda]2\
\^2)\)\^2\ \[CapitalLambda]2\^2\) - \(8\ kfn\ \((nn + np)\)\ \((C2 + 2\ z2)\)\
\)\/\(5\ n0\ \((1 + kfn\^2\/\[CapitalLambda]2\^2)\)\^2\ \
\[CapitalLambda]2\^2\))\))\)\), \(\(1\/kfp\)\((m\ \((\(-\(\(4\ kfp\ np\ \((C1 \
- 8\ z1)\)\)\/\(5\ n0\ \[CapitalLambda]1\^2\)\)\) - \(8\ kfp\ \((nn + np)\)\ \
\((C1 + 2\ z1)\)\)\/\(5\ n0\ \[CapitalLambda]1\^2\) - \(4\ kfp\ np\ \((C2 - 8\
\ z2)\)\)\/\(5\ n0\ \((1 + kfp\^2\/\[CapitalLambda]2\^2)\)\^2\ \
\[CapitalLambda]2\^2\) - \(8\ kfp\ \((nn + np)\)\ \((C2 + 2\ z2)\)\)\/\(5\ n0\
\ \((1 + kfp\^2\/\[CapitalLambda]2\^2)\)\^2\ \
\[CapitalLambda]2\^2\))\))\)\)}\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The effective masses for the Das03 potential:", "Subsubsection"],

Cell[TextData[{
  "Only the momentum-dependent part of the interaction contributes. \nAgain, \
we calculate  ",
  Cell[BoxData[
      \(TraditionalForm\`\((\(m\^*\)/m)\)\^\(-1\) - 1\)]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(das03msn = 
      Simplify[m\ D[\((end2 /. p \[Rule] k)\), k]/k /. 
          k \[Rule] kfn]\)], "Input"],

Cell[BoxData[
    \(\(-\(\(\((Cl + 
                Cu)\)\ m\ \[CapitalLambda]\^2\ \((\(-4\)\ kfn\^2 + \((2\ \
kfn\^2 + \[CapitalLambda]\^2)\)\ Log[
                    1 + \(4\ kfn\^2\)\/\[CapitalLambda]\^2])\)\)\/\(4\ kfn\^3\
\ n0\ \[Pi]\^2\)\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(das03msp = 
      Simplify[m\ D[\((epd2 /. p \[Rule] k)\), k]/k /. 
          k \[Rule] kfp]\)], "Input"],

Cell[BoxData[
    \(\(-\(\(\((Cl + 
                Cu)\)\ m\ \[CapitalLambda]\^2\ \((\(-4\)\ kfp\^2 + \((2\ \
kfp\^2 + \[CapitalLambda]\^2)\)\ Log[
                    1 + \(4\ kfp\^2\)\/\[CapitalLambda]\^2])\)\)\/\(4\ kfp\^3\
\ n0\ \[Pi]\^2\)\)\)\)], "Output"]
}, Open  ]],

Cell["Gracefully take the kf->0 limit:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[Series[das03msn, {kfn, 0, 7}]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\(-\(\(4\ \((\((Cl + 
                        Cu)\)\ m)\)\ kfn\^3\)\/\(3\ \((n0\ \[Pi]\^2\ \
\[CapitalLambda]\^2)\)\)\)\), 
        "+", \(\(16\ \((Cl + 
                  Cu)\)\ m\ kfn\^5\)\/\(3\ n0\ \[Pi]\^2\ \
\[CapitalLambda]\^4\)\), 
        "-", \(\(96\ \((\((Cl + 
                      Cu)\)\ m)\)\ kfn\^7\)\/\(5\ \((n0\ \[Pi]\^2\ \
\[CapitalLambda]\^6)\)\)\), "+", 
        InterpretationBox[\(O[kfn]\^8\),
          SeriesData[ kfn, 0, {}, 3, 8, 1],
          Editable->False]}],
      SeriesData[ kfn, 0, {
        Times[ 
          Rational[ -4, 3], 
          Plus[ Cl, Cu], m, 
          Power[ n0, -1], 
          Power[ Pi, -2], 
          Power[ \[CapitalLambda], -2]], 0, 
        Times[ 
          Rational[ 16, 3], 
          Plus[ Cl, Cu], m, 
          Power[ n0, -1], 
          Power[ Pi, -2], 
          Power[ \[CapitalLambda], -4]], 0, 
        Times[ 
          Rational[ -96, 5], 
          Plus[ Cl, Cu], m, 
          Power[ n0, -1], 
          Power[ Pi, -2], 
          Power[ \[CapitalLambda], -6]]}, 3, 8, 1],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[Series[das03msp, {kfp, 0, 7}]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\(-\(\(4\ \((\((Cl + 
                        Cu)\)\ m)\)\ kfp\^3\)\/\(3\ \((n0\ \[Pi]\^2\ \
\[CapitalLambda]\^2)\)\)\)\), 
        "+", \(\(16\ \((Cl + 
                  Cu)\)\ m\ kfp\^5\)\/\(3\ n0\ \[Pi]\^2\ \
\[CapitalLambda]\^4\)\), 
        "-", \(\(96\ \((\((Cl + 
                      Cu)\)\ m)\)\ kfp\^7\)\/\(5\ \((n0\ \[Pi]\^2\ \
\[CapitalLambda]\^6)\)\)\), "+", 
        InterpretationBox[\(O[kfp]\^8\),
          SeriesData[ kfp, 0, {}, 3, 8, 1],
          Editable->False]}],
      SeriesData[ kfp, 0, {
        Times[ 
          Rational[ -4, 3], 
          Plus[ Cl, Cu], m, 
          Power[ n0, -1], 
          Power[ Pi, -2], 
          Power[ \[CapitalLambda], -2]], 0, 
        Times[ 
          Rational[ 16, 3], 
          Plus[ Cl, Cu], m, 
          Power[ n0, -1], 
          Power[ Pi, -2], 
          Power[ \[CapitalLambda], -4]], 0, 
        Times[ 
          Rational[ -96, 5], 
          Plus[ Cl, Cu], m, 
          Power[ n0, -1], 
          Power[ Pi, -2], 
          Power[ \[CapitalLambda], -6]]}, 3, 8, 1],
      Editable->False]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The effective mass for the form \"gbd_form\":", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(gin = \[CapitalLambda]\^2/\[Pi]\^2 \((kfn - \[CapitalLambda]\ ArcTan[
                kfn/\[CapitalLambda]])\)\)], "Input"],

Cell[BoxData[
    \(\(\[CapitalLambda]\^2\ \((kfn - \[CapitalLambda]\ ArcTan[kfn\/\
\[CapitalLambda]])\)\)\/\[Pi]\^2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(gip = \[CapitalLambda]\^2/\[Pi]\^2 \((kfp - \[CapitalLambda]\ ArcTan[
                kfp/\[CapitalLambda]])\)\)], "Input"],

Cell[BoxData[
    \(\(\[CapitalLambda]\^2\ \((kfp - \[CapitalLambda]\ ArcTan[kfp\/\
\[CapitalLambda]])\)\)\/\[Pi]\^2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(in = 
      Simplify[2/\((2\ \[Pi])\)\^3  
          4\ \[Pi]\ Integrate[\(k\^2\) \((1 + \
k\^2/\[CapitalLambda]\^2)\)\^\(-1\), {k, 0, kf}], {kf > 0, \[CapitalLambda] > 
            0}]\)], "Input"],

Cell[BoxData[
    \(\(\[CapitalLambda]\^2\ \((kf - \[CapitalLambda]\ ArcTan[kf\/\
\[CapitalLambda]])\)\)\/\[Pi]\^2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CurlyEpsilon]x = 
      Cl \((nn\ gn + np\ gp)\)/rho0 + 
        Cu \((nn\ gp + np\ gn)\)/rho0\)], "Input"],

Cell[BoxData[
    \(\(Cu\ \((gp\ nn + gn\ np)\)\)\/rho0 + \(Cl\ \((gn\ nn + gp\ \
np)\)\)\/rho0\)], "Output"]
}, Open  ]],

Cell["A hack to calculate the single particle potential", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(gbdpotn = 
      D[\[CurlyEpsilon]x, 
          nn] + \((\(\[CurlyEpsilon]x /. gp \[Rule] 0\) /. 
            gn \[Rule] \((1 + k\^2/\[CapitalLambda]\^2)\)\^\(-1\))\)\)], \
"Input"],

Cell[BoxData[
    \(\(Cl\ gn\)\/rho0 + \(Cu\ gp\)\/rho0 + \(Cl\ nn\)\/\(rho0\ \((1 + k\^2\/\
\[CapitalLambda]\^2)\)\) + \(Cu\ np\)\/\(rho0\ \((1 + \
k\^2\/\[CapitalLambda]\^2)\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(gbdpotp = 
      D[\[CurlyEpsilon]x, 
          np] + \((\(\[CurlyEpsilon]x /. gn \[Rule] 0\) /. 
            gp \[Rule] \((1 + k\^2/\[CapitalLambda]\^2)\)\^\(-1\))\)\)], \
"Input"],

Cell[BoxData[
    \(\(Cu\ gn\)\/rho0 + \(Cl\ gp\)\/rho0 + \(Cu\ nn\)\/\(rho0\ \((1 + k\^2\/\
\[CapitalLambda]\^2)\)\) + \(Cl\ np\)\/\(rho0\ \((1 + \
k\^2\/\[CapitalLambda]\^2)\)\)\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "  ",
  Cell[BoxData[
      \(TraditionalForm\`\((\(m\^*\)/m)\)\^\(-1\) - 1\)]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[m\ D[gbdpotn, k]/k /. k \[Rule] kfn]\)], "Input"],

Cell[BoxData[
    \(\(-\(\(2\ m\ \((Cl\ nn + 
                Cu\ np)\)\ \[CapitalLambda]\^2\)\/\(rho0\ \((kfn\^2 + \
\[CapitalLambda]\^2)\)\^2\)\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[m\ D[gbdpotp, k]/k /. k \[Rule] kfp]\)], "Input"],

Cell[BoxData[
    \(\(-\(\(2\ m\ \((Cu\ nn + 
                Cl\ np)\)\ \[CapitalLambda]\^2\)\/\(rho0\ \((kfp\^2 + \
\[CapitalLambda]\^2)\)\^2\)\)\)\)], "Output"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.0 for X",
ScreenRectangle->{{0, 1400}, {0, 1050}},
ScreenStyleEnvironment->"Working",
WindowSize->{635, 955},
WindowMargins->{{6, Automatic}, {Automatic, 1}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"PaperSize"->{612, 792},
"PaperOrientation"->"Portrait",
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", "steiner", \
"src", "spr05", "hal", "doc", "hal", "extras"}, "gen_potential_eos.ps", \
CharacterEncoding -> "iso8859-1"],
"Magnification"->1}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 137, 2, 27, "Input"],

Cell[CellGroupData[{
Cell[1916, 57, 69, 0, 28, "Subsubsection"],

Cell[CellGroupData[{
Cell[2010, 61, 182, 4, 31, "Input"],
Cell[2195, 67, 135, 2, 50, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2367, 74, 153, 2, 31, "Input"],
Cell[2523, 78, 184, 3, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2744, 86, 203, 3, 31, "Input"],
Cell[2950, 91, 160, 2, 59, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3147, 98, 775, 16, 140, "Input"],
Cell[3925, 116, 494, 7, 117, "Output"]
}, Open  ]],
Cell[4434, 126, 64, 0, 32, "Text"],
Cell[4501, 128, 30, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[4556, 132, 226, 6, 51, "Input"],
Cell[4785, 140, 128, 2, 50, "Output"]
}, Open  ]],
Cell[4928, 145, 23, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[4976, 149, 122, 3, 31, "Input"],
Cell[5101, 154, 56, 1, 46, "Output"]
}, Open  ]],
Cell[5172, 158, 19, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[5216, 162, 224, 5, 50, "Input"],
Cell[5443, 169, 109, 2, 46, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5601, 177, 65, 0, 28, "Subsubsection"],
Cell[5669, 179, 73, 2, 32, "Text"],

Cell[CellGroupData[{
Cell[5767, 185, 334, 6, 48, "Input"],
Cell[6104, 193, 225, 3, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6366, 201, 586, 10, 96, "Input"],
Cell[6955, 213, 528, 8, 140, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7520, 226, 422, 9, 75, "Input"],
Cell[7945, 237, 1314, 23, 309, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[9308, 266, 134, 4, 44, "Subsubsection"],

Cell[CellGroupData[{
Cell[9467, 274, 72, 1, 27, "Input"],
Cell[9542, 277, 91, 1, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9670, 283, 72, 1, 27, "Input"],
Cell[9745, 286, 574, 13, 50, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10356, 304, 61, 1, 27, "Input"],
Cell[10420, 307, 312, 5, 63, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10769, 317, 72, 1, 27, "Input"],
Cell[10844, 320, 252, 4, 48, "Output"]
}, Open  ]],
Cell[11111, 327, 51, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[11187, 331, 164, 4, 27, "Input"],
Cell[11354, 337, 138, 2, 44, "Output"]
}, Open  ]],
Cell[11507, 342, 53, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[11585, 346, 194, 3, 27, "Input"],
Cell[11782, 351, 247, 3, 80, "Output"]
}, Open  ]],
Cell[12044, 357, 54, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[12123, 361, 62, 1, 27, "Input"],
Cell[12188, 364, 1152, 23, 164, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13377, 392, 70, 1, 27, "Input"],
Cell[13450, 395, 1289, 25, 200, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14776, 425, 340, 9, 29, "Input"],
Cell[15119, 436, 1130, 17, 271, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16286, 458, 348, 9, 29, "Input"],
Cell[16637, 469, 1239, 18, 343, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17913, 492, 49, 1, 27, "Input"],
Cell[17965, 495, 1140, 17, 247, "Output"]
}, Open  ]],
Cell[19120, 515, 36, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[19181, 519, 72, 1, 27, "Input"],
Cell[19256, 522, 91, 1, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19384, 528, 72, 1, 27, "Input"],
Cell[19459, 531, 574, 13, 50, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20070, 549, 61, 1, 27, "Input"],
Cell[20134, 552, 312, 5, 63, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20483, 562, 72, 1, 27, "Input"],
Cell[20558, 565, 255, 4, 48, "Output"]
}, Open  ]],
Cell[20828, 572, 51, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[20904, 576, 164, 4, 27, "Input"],
Cell[21071, 582, 138, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21246, 589, 194, 3, 27, "Input"],
Cell[21443, 594, 247, 3, 80, "Output"]
}, Open  ]],
Cell[21705, 600, 54, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[21784, 604, 62, 1, 27, "Input"],
Cell[21849, 607, 1155, 23, 164, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23041, 635, 70, 1, 27, "Input"],
Cell[23114, 638, 1292, 25, 200, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24443, 668, 340, 9, 29, "Input"],
Cell[24786, 679, 1133, 17, 271, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[25956, 701, 348, 9, 29, "Input"],
Cell[26307, 712, 1242, 18, 343, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[27598, 736, 137, 3, 44, "Subsubsection"],

Cell[CellGroupData[{
Cell[27760, 743, 133, 2, 27, "Input"],
Cell[27896, 747, 147, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[28080, 754, 189, 3, 43, "Input"],
Cell[28272, 759, 892, 13, 164, "Output"]
}, Open  ]],
Cell[29179, 775, 37, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[29241, 779, 140, 2, 27, "Input"],
Cell[29384, 783, 87, 1, 44, "Output"]
}, Open  ]],
Cell[29486, 787, 39, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[29550, 791, 164, 3, 27, "Input"],
Cell[29717, 796, 243, 4, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29997, 805, 93, 1, 27, "Input"],
Cell[30093, 808, 50, 1, 28, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30180, 814, 121, 3, 27, "Input"],
Cell[30304, 819, 138, 3, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30479, 827, 124, 3, 29, "Input"],
Cell[30606, 832, 163, 3, 48, "Output"]
}, Open  ]],
Cell[30784, 838, 46, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[30855, 842, 107, 2, 27, "Input"],
Cell[30965, 846, 357, 6, 85, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[31371, 858, 68, 0, 28, "Subsubsection"],

Cell[CellGroupData[{
Cell[31464, 862, 65, 1, 27, "Input"],
Cell[31532, 865, 303, 5, 96, "Output"]
}, Open  ]],
Cell[31850, 873, 37, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[31912, 877, 420, 8, 105, "Input"],
Cell[32335, 887, 35, 1, 27, "Output"]
}, Open  ]],
Cell[32385, 891, 75, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[32485, 895, 456, 8, 84, "Input"],
Cell[32944, 905, 388, 6, 82, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[33369, 916, 208, 4, 43, "Input"],
Cell[33580, 922, 831, 13, 269, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34448, 940, 65, 1, 27, "Input"],
Cell[34516, 943, 346, 5, 96, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34899, 953, 208, 4, 43, "Input"],
Cell[35110, 959, 831, 13, 269, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[35990, 978, 63, 0, 28, "Subsubsection"],

Cell[CellGroupData[{
Cell[36078, 982, 70, 1, 29, "Input"],
Cell[36151, 985, 74, 1, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36262, 991, 128, 3, 27, "Input"],
Cell[36393, 996, 290, 8, 44, "Output"]
}, Open  ]],
Cell[36698, 1007, 105, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[36828, 1014, 245, 4, 49, "Input"],
Cell[37076, 1020, 196, 3, 56, "Output"]
}, Open  ]],
Cell[37287, 1026, 41, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[37353, 1030, 228, 4, 51, "Input"],
Cell[37584, 1036, 77, 1, 30, "Output"]
}, Open  ]],
Cell[37676, 1040, 193, 6, 50, "Text"],
Cell[37872, 1048, 21, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[37918, 1052, 468, 8, 98, "Input"],
Cell[38389, 1062, 381, 6, 94, "Output"]
}, Open  ]],
Cell[38785, 1071, 23, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[38833, 1075, 257, 5, 51, "Input"],
Cell[39093, 1082, 186, 3, 80, "Output"]
}, Open  ]],
Cell[39294, 1088, 21, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[39340, 1092, 890, 16, 180, "Input"],
Cell[40233, 1110, 943, 13, 186, "Output"]
}, Open  ]],
Cell[41191, 1126, 19, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[41235, 1130, 932, 16, 156, "Input"],
Cell[42170, 1148, 917, 13, 287, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[43136, 1167, 70, 0, 28, "Subsubsection"],
Cell[43209, 1169, 204, 6, 50, "Text"],

Cell[CellGroupData[{
Cell[43438, 1179, 125, 3, 27, "Input"],
Cell[43566, 1184, 262, 5, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[43865, 1194, 125, 3, 27, "Input"],
Cell[43993, 1199, 262, 5, 58, "Output"]
}, Open  ]],
Cell[44270, 1207, 48, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[44343, 1211, 72, 1, 27, "Input"],
Cell[44418, 1214, 1130, 33, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[45585, 1252, 72, 1, 27, "Input"],
Cell[45660, 1255, 1130, 33, 48, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[46839, 1294, 70, 0, 28, "Subsubsection"],

Cell[CellGroupData[{
Cell[46934, 1298, 143, 2, 29, "Input"],
Cell[47080, 1302, 130, 2, 50, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47247, 1309, 143, 2, 29, "Input"],
Cell[47393, 1313, 130, 2, 51, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47560, 1320, 218, 5, 51, "Input"],
Cell[47781, 1327, 128, 2, 50, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47946, 1334, 129, 3, 27, "Input"],
Cell[48078, 1339, 109, 2, 44, "Output"]
}, Open  ]],
Cell[48202, 1344, 65, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[48292, 1348, 201, 5, 32, "Input"],
Cell[48496, 1355, 193, 3, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48726, 1363, 201, 5, 32, "Input"],
Cell[48930, 1370, 193, 3, 55, "Output"]
}, Open  ]],
Cell[49138, 1376, 116, 5, 32, "Text"],

Cell[CellGroupData[{
Cell[49279, 1385, 78, 1, 27, "Input"],
Cell[49360, 1388, 163, 3, 50, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[49560, 1396, 78, 1, 27, "Input"],
Cell[49641, 1399, 163, 3, 51, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

