(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     52104,       1890]
NotebookOptionsPosition[     47751,       1736]
NotebookOutlinePosition[     48384,       1758]
CellTagsIndexPosition[     48341,       1755]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "\"\<spell\>\""}], "]"}], ";", 
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "\"\<spell1\>\""}], "]"}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell["The Hamiltonian", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"h2mns", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "/", "2"}], "/", "M"}], "+", 
   RowBox[{
    RowBox[{"n", "/", "4"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"t1", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"x1", "/", "2"}]}], ")"}]}], "+", 
      RowBox[{"t2", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"x2", "/", "2"}]}], ")"}]}]}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"nn", "/", "4"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"t2", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", "2"}], "+", "x2"}], ")"}]}], "-", 
      RowBox[{"t1", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", "2"}], "+", "x1"}], ")"}]}]}], 
     ")"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "M"}]], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", "n", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"t1", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox["x1", "2"]}], ")"}]}], "+", 
     RowBox[{"t2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox["x2", "2"]}], ")"}]}]}], ")"}]}], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", "nn", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "t1"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "2"], "+", "x1"}], ")"}]}], "+", 
     RowBox[{"t2", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "2"], "+", "x2"}], ")"}]}]}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"h2mps", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "/", "2"}], "/", "M"}], "+", 
   RowBox[{
    RowBox[{"n", "/", "4"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"t1", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"x1", "/", "2"}]}], ")"}]}], "+", 
      RowBox[{"t2", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"x2", "/", "2"}]}], ")"}]}]}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"np", "/", "4"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"t2", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", "2"}], "+", "x2"}], ")"}]}], "-", 
      RowBox[{"t1", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", "2"}], "+", "x1"}], ")"}]}]}], 
     ")"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "M"}]], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", "n", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"t1", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox["x1", "2"]}], ")"}]}], "+", 
     RowBox[{"t2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox["x2", "2"]}], ")"}]}]}], ")"}]}], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", "np", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "t1"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "2"], "+", "x1"}], ")"}]}], "+", 
     RowBox[{"t2", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "2"], "+", "x2"}], ")"}]}]}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"kfn", "=", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"3", " ", 
     SuperscriptBox["\[Pi]", "2"], "nn"}], ")"}], 
   RowBox[{"1", "/", "3"}]]}]], "Input"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["3", 
   RowBox[{"1", "/", "3"}]], " ", 
  SuperscriptBox["nn", 
   RowBox[{"1", "/", "3"}]], " ", 
  SuperscriptBox["\[Pi]", 
   RowBox[{"2", "/", "3"}]]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"kfp", "=", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"3", " ", 
     SuperscriptBox["\[Pi]", "2"], "np"}], ")"}], 
   RowBox[{"1", "/", "3"}]]}]], "Input"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["3", 
   RowBox[{"1", "/", "3"}]], " ", 
  SuperscriptBox["np", 
   RowBox[{"1", "/", "3"}]], " ", 
  SuperscriptBox["\[Pi]", 
   RowBox[{"2", "/", "3"}]]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Tau]n", "=", 
  RowBox[{
   RowBox[{
    SuperscriptBox["kfn", "5"], "/", "5"}], "/", 
   SuperscriptBox["\[Pi]", "2"]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["3", "5"], " ", 
  SuperscriptBox["3", 
   RowBox[{"2", "/", "3"}]], " ", 
  SuperscriptBox["nn", 
   RowBox[{"5", "/", "3"}]], " ", 
  SuperscriptBox["\[Pi]", 
   RowBox[{"4", "/", "3"}]]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Tau]p", "=", 
  RowBox[{
   RowBox[{
    SuperscriptBox["kfp", "5"], "/", "5"}], "/", 
   SuperscriptBox["\[Pi]", "2"]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["3", "5"], " ", 
  SuperscriptBox["3", 
   RowBox[{"2", "/", "3"}]], " ", 
  SuperscriptBox["np", 
   RowBox[{"5", "/", "3"}]], " ", 
  SuperscriptBox["\[Pi]", 
   RowBox[{"4", "/", "3"}]]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Hbulk", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Tau]n", " ", "h2mns"}], "+", 
     RowBox[{"\[Tau]p", " ", "h2mps"}], "+", 
     RowBox[{
      RowBox[{"t0", "/", "2"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"x0", "/", "2"}]}], ")"}], 
         SuperscriptBox["n", "2"]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"1", "/", "2"}], "+", "x0"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["nn", "2"], "+", 
           SuperscriptBox["np", "2"]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"a", " ", 
      RowBox[{"t3", "/", "6"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"x3", "/", "2"}]}], ")"}], " ", 
         SuperscriptBox["n", "\[Alpha]"], "nn", " ", "np"}], "+", 
        RowBox[{
         SuperscriptBox["2", 
          RowBox[{"\[Alpha]", "-", "2"}]], 
         RowBox[{"(", 
          RowBox[{"1", "-", "x3"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["nn", 
            RowBox[{"\[Alpha]", "+", "2"}]], "+", 
           SuperscriptBox["np", 
            RowBox[{"\[Alpha]", "+", "2"}]]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"b", " ", 
      RowBox[{"t3", "/", "12"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"x3", "/", "2"}]}], ")"}], 
         SuperscriptBox["n", "2"]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"1", "/", "2"}], "+", "x3"}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["nn", "2"], "+", 
           SuperscriptBox["np", "2"]}], ")"}]}]}], ")"}], 
      SuperscriptBox["n", "\[Alpha]"]}]}], "/.", 
    RowBox[{"n", "\[Rule]", 
     RowBox[{"nn", "+", "np"}]}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "120"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"60", " ", "t0", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["nn", "2"], "+", 
           SuperscriptBox["np", "2"]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", "2"], "+", "x0"}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"nn", "+", "np"}], ")"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", "x0"}], ")"}]}]}], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "M"], 
     RowBox[{"9", " ", 
      SuperscriptBox["3", 
       RowBox[{"2", "/", "3"}]], " ", 
      SuperscriptBox["np", 
       RowBox[{"5", "/", "3"}]], " ", 
      SuperscriptBox["\[Pi]", 
       RowBox[{"4", "/", "3"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "-", 
        RowBox[{"M", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"np", " ", 
            RowBox[{"(", 
             RowBox[{"t1", "-", 
              RowBox[{"t1", " ", "x1"}], "+", 
              RowBox[{"3", " ", "t2", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", "x2"}], ")"}]}]}], ")"}]}], "+", 
           RowBox[{"nn", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"t1", " ", 
               RowBox[{"(", 
                RowBox[{"2", "+", "x1"}], ")"}]}], "+", 
              RowBox[{"t2", " ", 
               RowBox[{"(", 
                RowBox[{"2", "+", "x2"}], ")"}]}]}], ")"}]}]}], ")"}]}]}], 
       ")"}]}]}], "-", 
    RowBox[{
     FractionBox["1", "M"], 
     RowBox[{"9", " ", 
      SuperscriptBox["3", 
       RowBox[{"2", "/", "3"}]], " ", 
      SuperscriptBox["nn", 
       RowBox[{"5", "/", "3"}]], " ", 
      SuperscriptBox["\[Pi]", 
       RowBox[{"4", "/", "3"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "+", 
        RowBox[{"M", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"nn", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"t1", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "x1"}], ")"}]}], "-", 
              RowBox[{"3", " ", "t2", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", "x2"}], ")"}]}]}], ")"}]}], "-", 
           RowBox[{"np", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"t1", " ", 
               RowBox[{"(", 
                RowBox[{"2", "+", "x1"}], ")"}]}], "+", 
              RowBox[{"t2", " ", 
               RowBox[{"(", 
                RowBox[{"2", "+", "x2"}], ")"}]}]}], ")"}]}]}], ")"}]}]}], 
       ")"}]}]}], "-", 
    RowBox[{"5", " ", "b", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"nn", "+", "np"}], ")"}], "\[Alpha]"], " ", "t3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["nn", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "x3"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["np", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "x3"}], ")"}]}], "-", 
       RowBox[{"2", " ", "nn", " ", "np", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", "x3"}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"5", " ", "a", " ", "t3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["2", "\[Alpha]"]}], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["nn", 
           RowBox[{"2", "+", "\[Alpha]"}]], "+", 
          SuperscriptBox["np", 
           RowBox[{"2", "+", "\[Alpha]"}]]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "x3"}], ")"}]}], "+", 
       RowBox[{"2", " ", "nn", " ", "np", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"nn", "+", "np"}], ")"}], "\[Alpha]"], " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", "x3"}], ")"}]}]}], ")"}]}]}], ")"}]}]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The energy of symmetric nuclear matter:", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Hnuc", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Hbulk", "/.", 
     RowBox[{"nn", "\[Rule]", 
      RowBox[{"n", "/", "2"}]}]}], "/.", 
    RowBox[{"np", "\[Rule]", 
     RowBox[{"n", "/", "2"}]}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"160", " ", "M"}]], 
  RowBox[{
   SuperscriptBox["n", 
    RowBox[{"5", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"10", " ", "M", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"6", " ", 
         SuperscriptBox["n", 
          RowBox[{"1", "/", "3"}]], " ", "t0"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a", "+", "b"}], ")"}], " ", 
         SuperscriptBox["n", 
          RowBox[{
           FractionBox["1", "3"], "+", "\[Alpha]"}]], " ", "t3"}]}], ")"}]}], 
     "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["2", 
       RowBox[{"1", "/", "3"}]], " ", 
      SuperscriptBox["3", 
       RowBox[{"2", "/", "3"}]], " ", 
      SuperscriptBox["\[Pi]", 
       RowBox[{"4", "/", "3"}]], " ", 
      RowBox[{"(", 
       RowBox[{"8", "+", 
        RowBox[{"M", " ", "n", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", " ", "t1"}], "+", 
           RowBox[{"5", " ", "t2"}], "+", 
           RowBox[{"4", " ", "t2", " ", "x2"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"kr23", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"3", "/", "10"}], "/", "M"}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"3", "/", "2"}], " ", 
      SuperscriptBox["\[Pi]", "2"], "n"}], ")"}], 
    RowBox[{"2", "/", "3"}]]}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Beta]", "=", 
  RowBox[{
   RowBox[{"M", "/", "2"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", "4"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3", "t1"}], "+", 
        RowBox[{"5", "t2"}]}], ")"}]}], "+", 
     RowBox[{"t2", " ", "x2"}]}], ")"}]}]}]}], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{"3", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox["3", "2"], ")"}], 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["n", 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"4", "/", "3"}]]}], 
  RowBox[{"10", " ", "M"}]]], "Output"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", "M", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "t1"}], "+", 
       RowBox[{"5", " ", "t2"}]}], ")"}]}], "+", 
    RowBox[{"t2", " ", "x2"}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Hnuc2", "=", 
  RowBox[{"n", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"kr23", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"\[Beta]", " ", "n"}]}], ")"}]}], "+", 
     RowBox[{"3", " ", "t0", " ", 
      RowBox[{"n", "/", "8"}]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "+", "b"}], ")"}], "t3", " ", 
      RowBox[{
       SuperscriptBox["n", 
        RowBox[{"1", "+", "\[Alpha]"}]], "/", "16"}]}]}], ")"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"n", " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox[
     RowBox[{"3", " ", "n", " ", "t0"}], "8"], "+", 
    RowBox[{
     FractionBox["1", "16"], " ", 
     RowBox[{"(", 
      RowBox[{"a", "+", "b"}], ")"}], " ", 
     SuperscriptBox["n", 
      RowBox[{"1", "+", "\[Alpha]"}]], " ", "t3"}], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox["3", "2"], ")"}], 
       RowBox[{"2", "/", "3"}]], " ", 
      SuperscriptBox["n", 
       RowBox[{"2", "/", "3"}]], " ", 
      SuperscriptBox["\[Pi]", 
       RowBox[{"4", "/", "3"}]], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{
         FractionBox["1", "2"], " ", "M", " ", "n", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            FractionBox["1", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", "t1"}], "+", 
              RowBox[{"5", " ", "t2"}]}], ")"}]}], "+", 
           RowBox[{"t2", " ", "x2"}]}], ")"}]}]}], ")"}]}], 
     RowBox[{"10", " ", "M"}]]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Hnuc2", "-", "Hnuc"}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The effective masses in symmetric nuclear matter:", "Subsubsection"],

Cell["The inverse of the reduced effective mass:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MoMs", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"2", " ", "M", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"h2mns", "/.", 
       RowBox[{"nn", "\[Rule]", 
        RowBox[{"n", "/", "2"}]}]}], "/.", 
      RowBox[{"np", "\[Rule]", 
       RowBox[{"n", "/", "2"}]}]}], ")"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "8"], " ", 
  RowBox[{"(", 
   RowBox[{"8", "+", 
    RowBox[{"M", " ", "n", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "t1"}], "+", 
       RowBox[{"t2", " ", 
        RowBox[{"(", 
         RowBox[{"5", "+", 
          RowBox[{"4", " ", "x2"}]}], ")"}]}]}], ")"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MoMs2", "=", 
  RowBox[{"1", "+", 
   RowBox[{"\[Beta]", " ", "n"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "M", " ", "n", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3", " ", "t1"}], "+", 
        RowBox[{"5", " ", "t2"}]}], ")"}]}], "+", 
     RowBox[{"t2", " ", "x2"}]}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"MoMs", "-", "MoMs2"}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The incompressiblity of nuclear matter:", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"K", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"9", 
    SuperscriptBox["n", "2"], 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Hbulk", "/.", 
            RowBox[{"nn", "\[Rule]", 
             RowBox[{"n", "/", "2"}]}]}], "/.", 
           RowBox[{"np", "\[Rule]", 
            RowBox[{"n", "/", "2"}]}]}], ")"}], "/", "n"}], ",", "n"}], "]"}],
       ",", "n"}], "]"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"80", " ", "M"}]], 
  RowBox[{"3", " ", 
   SuperscriptBox["n", 
    RowBox[{"2", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{"1", "/", "3"}]], " ", 
      SuperscriptBox["3", 
       RowBox[{"2", "/", "3"}]], " ", 
      SuperscriptBox["\[Pi]", 
       RowBox[{"4", "/", "3"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "8"}], "+", 
        RowBox[{"5", " ", "M", " ", "n", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", " ", "t1"}], "+", 
           RowBox[{"t2", " ", 
            RowBox[{"(", 
             RowBox[{"5", "+", 
              RowBox[{"4", " ", "x2"}]}], ")"}]}]}], ")"}]}]}], ")"}]}], "+", 
     
     RowBox[{"15", " ", 
      RowBox[{"(", 
       RowBox[{"a", "+", "b"}], ")"}], " ", "M", " ", 
      SuperscriptBox["n", 
       RowBox[{
        FractionBox["1", "3"], "+", "\[Alpha]"}]], " ", "t3", " ", "\[Alpha]",
       " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "\[Alpha]"}], ")"}]}]}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"K2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], "kr23"}], "+", 
   RowBox[{"10", "kr23", " ", "\[Beta]", " ", "n"}], "+", 
   RowBox[{
    RowBox[{"9", "/", "16"}], " ", "\[Alpha]", 
    RowBox[{"(", 
     RowBox[{"\[Alpha]", "+", "1"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"a", "+", "b"}], ")"}], "t3", " ", 
    SuperscriptBox["n", 
     RowBox[{"1", "+", "\[Alpha]"}]]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["3", "2"], ")"}], 
      RowBox[{"2", "/", "3"}]], " ", 
     SuperscriptBox["n", 
      RowBox[{"2", "/", "3"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"4", "/", "3"}]]}], 
    RowBox[{"5", " ", "M"}]]}], "+", 
  RowBox[{
   FractionBox["3", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox["3", "2"], ")"}], 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["n", 
    RowBox[{"5", "/", "3"}]], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"4", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3", " ", "t1"}], "+", 
        RowBox[{"5", " ", "t2"}]}], ")"}]}], "+", 
     RowBox[{"t2", " ", "x2"}]}], ")"}]}], "+", 
  RowBox[{
   FractionBox["9", "16"], " ", 
   RowBox[{"(", 
    RowBox[{"a", "+", "b"}], ")"}], " ", 
   SuperscriptBox["n", 
    RowBox[{"1", "+", "\[Alpha]"}]], " ", "t3", " ", "\[Alpha]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Alpha]"}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{Cell[""], "K2"}], "-", "K"}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The symmetry energy:", "Subsubsection"],

Cell["Neutron matter:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"nn", "-", "np"}], ")"}], "==", 
      RowBox[{"n", " ", "\[Delta]"}]}], ",", 
     RowBox[{"n", "==", 
      RowBox[{"nn", "+", "np"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"nn", ",", "np"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"nn", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "n"}], "-", 
        RowBox[{"n", " ", "\[Delta]"}]}], ")"}]}]}], ",", 
    RowBox[{"np", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "n"}], "+", 
        RowBox[{"n", " ", "\[Delta]"}]}], ")"}]}]}]}], "}"}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Esym", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Hbulk", "/.", 
              RowBox[{"nn", "\[Rule]", 
               RowBox[{
                RowBox[{"1", "/", "2"}], " ", 
                RowBox[{"(", 
                 RowBox[{"n", "+", 
                  RowBox[{"n", " ", "\[Delta]"}]}], ")"}]}]}]}], "/.", 
             RowBox[{"np", "\[Rule]", 
              RowBox[{
               RowBox[{"1", "/", "2"}], " ", 
               RowBox[{"(", 
                RowBox[{"n", "-", 
                 RowBox[{"n", " ", "\[Delta]"}]}], ")"}]}]}]}], ")"}], ",", 
           "\[Delta]"}], "]"}], ",", "\[Delta]"}], "]"}], "/", "2"}], "/", 
      "n"}], ")"}], "/.", 
    RowBox[{"\[Delta]", "\[Rule]", "0"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"96", " ", "M"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"8", " ", 
     SuperscriptBox["2", 
      RowBox[{"1", "/", "3"}]], " ", 
     SuperscriptBox["3", 
      RowBox[{"2", "/", "3"}]], " ", 
     SuperscriptBox["n", 
      RowBox[{"2", "/", "3"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"4", "/", "3"}]]}], "-", 
    RowBox[{"12", " ", "M", " ", "n", " ", "t0", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "x0"}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["2", 
      RowBox[{"1", "/", "3"}]], " ", 
     SuperscriptBox["3", 
      RowBox[{"2", "/", "3"}]], " ", "M", " ", 
     SuperscriptBox["n", 
      RowBox[{"5", "/", "3"}]], " ", 
     SuperscriptBox["\[Pi]", 
      RowBox[{"4", "/", "3"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "3"}], " ", "t1", " ", "x1"}], "+", 
       RowBox[{"t2", " ", 
        RowBox[{"(", 
         RowBox[{"4", "+", 
          RowBox[{"5", " ", "x2"}]}], ")"}]}]}], ")"}]}], "-", 
    RowBox[{"M", " ", 
     SuperscriptBox["n", 
      RowBox[{"1", "+", "\[Alpha]"}]], " ", "t3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"2", " ", "x3"}]}], ")"}]}], "+", 
       RowBox[{"a", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          RowBox[{"3", " ", "\[Alpha]"}], "-", 
          SuperscriptBox["\[Alpha]", "2"], "+", 
          RowBox[{"x3", " ", 
           RowBox[{"(", 
            RowBox[{"4", "+", 
             RowBox[{"3", " ", "\[Alpha]"}], "+", 
             SuperscriptBox["\[Alpha]", "2"]}], ")"}]}]}], ")"}]}]}], 
      ")"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Esym2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"5", "/", "9"}], "kr23"}], "+", 
   RowBox[{
    RowBox[{"10", "/", "3"}], " ", "M", " ", "kr23", " ", "n", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "6"}], " ", "t2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"5", "/", "4"}], "x2"}]}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"1", "/", "8"}], "t1", " ", "x1"}]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"1", "/", "24"}], "b", " ", "t3", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"1", "/", "2"}], "+", "x3"}], ")"}], 
    SuperscriptBox["n", 
     RowBox[{"1", "+", "\[Alpha]"}]]}], "-", 
   RowBox[{
    RowBox[{"1", "/", "4"}], " ", "t0", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"1", "/", "2"}], "+", "x0"}], ")"}], "n"}], "-", 
   RowBox[{
    FractionBox["1", "96"], " ", "a", " ", 
    SuperscriptBox["n", 
     RowBox[{"1", "+", "\[Alpha]"}]], " ", "t3", " ", 
    RowBox[{"(", 
     RowBox[{"2", "-", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"3", "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"x3", " ", 
       RowBox[{"(", 
        RowBox[{"4", "+", 
         RowBox[{"\[Alpha]", " ", 
          RowBox[{"(", 
           RowBox[{"3", "+", "\[Alpha]"}], ")"}]}]}], ")"}]}]}], 
     ")"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    SuperscriptBox["n", 
     RowBox[{"2", "/", "3"}]], " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"4", "/", "3"}]]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["2", 
     RowBox[{"2", "/", "3"}]], " ", 
    SuperscriptBox["3", 
     RowBox[{"1", "/", "3"}]], " ", "M"}]], "-", 
  RowBox[{
   FractionBox["1", "4"], " ", "n", " ", "t0", " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "2"], "+", "x0"}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox["3", "2"], ")"}], 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["n", 
    RowBox[{"5", "/", "3"}]], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"4", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"t1", " ", "x1"}], "8"]}], "+", 
     RowBox[{
      FractionBox["1", "6"], " ", "t2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         RowBox[{"5", " ", "x2"}], "4"]}], ")"}]}]}], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", "24"], " ", "b", " ", 
   SuperscriptBox["n", 
    RowBox[{"1", "+", "\[Alpha]"}]], " ", "t3", " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "2"], "+", "x3"}], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", "96"], " ", "a", " ", 
   SuperscriptBox["n", 
    RowBox[{"1", "+", "\[Alpha]"}]], " ", "t3", " ", 
   RowBox[{"(", 
    RowBox[{"2", "-", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"x3", " ", 
      RowBox[{"(", 
       RowBox[{"4", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", "\[Alpha]"}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Esym", "-", "Esym2"}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EPaul", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"5", "/", "9"}], " ", "kr23", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"6", " ", "M", " ", "n", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"1", "/", "6"}], "t2", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{
             RowBox[{"5", "/", "4"}], " ", "x2"}]}], ")"}]}], "-", 
         RowBox[{"t1", " ", 
          RowBox[{"x1", "/", "8"}]}]}], ")"}]}]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"t0", "/", "4"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"1", "/", "2"}], "+", "x0"}], ")"}], " ", "n"}], "+", 
   RowBox[{"a", " ", 
    RowBox[{"t3", "/", "24"}], " ", 
    SuperscriptBox["n", 
     RowBox[{"1", "+", "\[Alpha]"}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      RowBox[{"x3", "/", "2"}], "+", 
      RowBox[{
       RowBox[{"1", "/", "4"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "x3"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"\[Alpha]", "+", "2"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"\[Alpha]", "+", "1"}], ")"}]}]}], ")"}]}], "-", 
   RowBox[{"b", " ", 
    RowBox[{"t3", "/", "24"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"1", "/", "2"}], "+", "x3"}], ")"}], 
    SuperscriptBox["n", 
     RowBox[{"1", "+", "\[Alpha]"}]]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "4"]}], " ", "n", " ", "t0", " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "2"], "+", "x0"}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["n", 
     RowBox[{"2", "/", "3"}]], " ", 
    SuperscriptBox["\[Pi]", 
     RowBox[{"4", "/", "3"}]], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"6", " ", "M", " ", "n", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"t1", " ", "x1"}], "8"]}], "+", 
         RowBox[{
          FractionBox["1", "6"], " ", "t2", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            FractionBox[
             RowBox[{"5", " ", "x2"}], "4"]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
   
   RowBox[{"2", " ", 
    SuperscriptBox["2", 
     RowBox[{"2", "/", "3"}]], " ", 
    SuperscriptBox["3", 
     RowBox[{"1", "/", "3"}]], " ", "M"}]], "-", 
  RowBox[{
   FractionBox["1", "24"], " ", "b", " ", 
   SuperscriptBox["n", 
    RowBox[{"1", "+", "\[Alpha]"}]], " ", "t3", " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "2"], "+", "x3"}], ")"}]}], "+", 
  RowBox[{
   FractionBox["1", "24"], " ", "a", " ", 
   SuperscriptBox["n", 
    RowBox[{"1", "+", "\[Alpha]"}]], " ", "t3", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", 
     FractionBox["x3", "2"], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x3"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"2", "+", "\[Alpha]"}], ")"}]}]}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Esym", "-", "EPaul"}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Re-express Hamiltonian as in code:", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"vars", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"ham1", "->", 
     RowBox[{
      RowBox[{"t0", "/", "2"}], 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"x0", "/", "2"}]}], ")"}]}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"ham2", "->", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "t0"}], "/", "2"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"1", "/", "2"}], "+", "x0"}], ")"}]}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"ham3", "->", 
     RowBox[{"a", " ", 
      RowBox[{"t3", "/", "6"}], 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"x3", "/", "2"}]}], ")"}]}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"ham4", "->", 
     RowBox[{"a", " ", "t3", " ", 
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{"\[Alpha]", "-", "2"}]], "/", "6"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "x3"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"ham5", "->", 
     RowBox[{"b", " ", 
      RowBox[{"t3", "/", "12"}], 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"x3", "/", "2"}]}], ")"}]}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"ham6", "->", 
     RowBox[{
      RowBox[{"-", "b"}], " ", 
      RowBox[{"t3", "/", "12"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"1", "/", "2"}], "+", "x3"}], ")"}]}]}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"ham1", "\[Rule]", 
    RowBox[{
     FractionBox["1", "2"], " ", "t0", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox["x0", "2"]}], ")"}]}]}], ",", 
   RowBox[{"ham2", "\[Rule]", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "2"]}], " ", "t0", " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "2"], "+", "x0"}], ")"}]}]}], ",", 
   RowBox[{"ham3", "\[Rule]", 
    RowBox[{
     FractionBox["1", "6"], " ", "a", " ", "t3", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox["x3", "2"]}], ")"}]}]}], ",", 
   RowBox[{"ham4", "\[Rule]", 
    RowBox[{
     FractionBox["1", "3"], " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{"-", "3"}], "+", "\[Alpha]"}]], " ", "a", " ", "t3", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "x3"}], ")"}]}]}], ",", 
   RowBox[{"ham5", "\[Rule]", 
    RowBox[{
     FractionBox["1", "12"], " ", "b", " ", "t3", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox["x3", "2"]}], ")"}]}]}], ",", 
   RowBox[{"ham6", "\[Rule]", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "12"]}], " ", "b", " ", "t3", " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "2"], "+", "x3"}], ")"}]}]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Hcode", "=", 
  RowBox[{
   RowBox[{"\[Tau]n", " ", "h2mns"}], "+", 
   RowBox[{"\[Tau]p", " ", "h2mps"}], "+", 
   RowBox[{"ham1", " ", 
    SuperscriptBox["n", "2"]}], "+", 
   RowBox[{"ham2", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["nn", "2"], "+", 
      SuperscriptBox["np", "2"]}], ")"}]}], "+", 
   RowBox[{"ham3", " ", 
    SuperscriptBox["n", "\[Alpha]"], " ", "nn", " ", "np"}], "+", 
   RowBox[{"ham4", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["nn", 
       RowBox[{"\[Alpha]", "+", "2"}]], "+", 
      SuperscriptBox["np", 
       RowBox[{"\[Alpha]", "+", "2"}]]}], ")"}]}], "+", 
   RowBox[{"ham5", " ", 
    SuperscriptBox["n", 
     RowBox[{"2", "+", "\[Alpha]"}]]}], "+", 
   RowBox[{"ham6", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["nn", "2"], "+", 
      SuperscriptBox["np", "2"]}], ")"}], 
    SuperscriptBox["n", "\[Alpha]"]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ham1", " ", 
   SuperscriptBox["n", "2"]}], "+", 
  RowBox[{"ham5", " ", 
   SuperscriptBox["n", 
    RowBox[{"2", "+", "\[Alpha]"}]]}], "+", 
  RowBox[{"ham3", " ", 
   SuperscriptBox["n", "\[Alpha]"], " ", "nn", " ", "np"}], "+", 
  RowBox[{"ham2", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["nn", "2"], "+", 
     SuperscriptBox["np", "2"]}], ")"}]}], "+", 
  RowBox[{"ham6", " ", 
   SuperscriptBox["n", "\[Alpha]"], " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["nn", "2"], "+", 
     SuperscriptBox["np", "2"]}], ")"}]}], "+", 
  RowBox[{"ham4", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["nn", 
      RowBox[{"2", "+", "\[Alpha]"}]], "+", 
     SuperscriptBox["np", 
      RowBox[{"2", "+", "\[Alpha]"}]]}], ")"}]}], "+", 
  RowBox[{
   FractionBox["3", "5"], " ", 
   SuperscriptBox["3", 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["nn", 
    RowBox[{"5", "/", "3"}]], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"4", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", " ", "M"}]], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", "n", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"t1", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x1", "2"]}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x2", "2"]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", "nn", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "t1"}], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x1"}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x2"}], ")"}]}]}], ")"}]}]}], ")"}]}], 
  "+", 
  RowBox[{
   FractionBox["3", "5"], " ", 
   SuperscriptBox["3", 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["np", 
    RowBox[{"5", "/", "3"}]], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"4", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", " ", "M"}]], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", "n", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"t1", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x1", "2"]}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x2", "2"]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", "np", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "t1"}], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x1"}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x2"}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Hcode", "/.", "vars"}], "/.", 
     RowBox[{"n", "\[Rule]", 
      RowBox[{"nn", "+", "np"}]}]}], ")"}], "-", "Hbulk"}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"Hcode", "/.", 
     RowBox[{"n", "\[Rule]", 
      RowBox[{"nn", "+", "np"}]}]}], ")"}], ",", "nn"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"2", " ", "ham2", " ", "nn"}], "+", 
  RowBox[{"2", " ", "ham1", " ", 
   RowBox[{"(", 
    RowBox[{"nn", "+", "np"}], ")"}]}], "+", 
  RowBox[{"2", " ", "ham6", " ", "nn", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"nn", "+", "np"}], ")"}], "\[Alpha]"]}], "+", 
  RowBox[{"ham3", " ", "np", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"nn", "+", "np"}], ")"}], "\[Alpha]"]}], "+", 
  RowBox[{
   FractionBox["3", "20"], " ", 
   SuperscriptBox["3", 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["np", 
    RowBox[{"5", "/", "3"}]], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"4", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"t1", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox["x1", "2"]}], ")"}]}], "+", 
     RowBox[{"t2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox["x2", "2"]}], ")"}]}]}], ")"}]}], "+", 
  RowBox[{
   FractionBox["3", "5"], " ", 
   SuperscriptBox["3", 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["nn", 
    RowBox[{"5", "/", "3"}]], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"4", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"t1", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x1", "2"]}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x2", "2"]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "t1"}], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x1"}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x2"}], ")"}]}]}], ")"}]}]}], ")"}]}], 
  "+", 
  RowBox[{
   SuperscriptBox["3", 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["nn", 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"4", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", " ", "M"}]], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{"nn", "+", "np"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"t1", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x1", "2"]}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x2", "2"]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", "nn", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "t1"}], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x1"}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x2"}], ")"}]}]}], ")"}]}]}], ")"}]}], 
  "+", 
  RowBox[{"ham3", " ", "nn", " ", "np", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"nn", "+", "np"}], ")"}], 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}]], " ", "\[Alpha]"}], "+", 
  RowBox[{"ham6", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"nn", "+", "np"}], ")"}], 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["nn", "2"], "+", 
     SuperscriptBox["np", "2"]}], ")"}], " ", "\[Alpha]"}], "+", 
  RowBox[{"ham4", " ", 
   SuperscriptBox["nn", 
    RowBox[{"1", "+", "\[Alpha]"}]], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", "\[Alpha]"}], ")"}]}], "+", 
  RowBox[{"ham5", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"nn", "+", "np"}], ")"}], 
    RowBox[{"1", "+", "\[Alpha]"}]], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", "\[Alpha]"}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"Hcode", "/.", 
     RowBox[{"n", "\[Rule]", 
      RowBox[{"nn", "+", "np"}]}]}], ")"}], ",", "np"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"2", " ", "ham2", " ", "np"}], "+", 
  RowBox[{"2", " ", "ham1", " ", 
   RowBox[{"(", 
    RowBox[{"nn", "+", "np"}], ")"}]}], "+", 
  RowBox[{"ham3", " ", "nn", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"nn", "+", "np"}], ")"}], "\[Alpha]"]}], "+", 
  RowBox[{"2", " ", "ham6", " ", "np", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"nn", "+", "np"}], ")"}], "\[Alpha]"]}], "+", 
  RowBox[{
   FractionBox["3", "20"], " ", 
   SuperscriptBox["3", 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["nn", 
    RowBox[{"5", "/", "3"}]], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"4", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"t1", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox["x1", "2"]}], ")"}]}], "+", 
     RowBox[{"t2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox["x2", "2"]}], ")"}]}]}], ")"}]}], "+", 
  RowBox[{
   FractionBox["3", "5"], " ", 
   SuperscriptBox["3", 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["np", 
    RowBox[{"5", "/", "3"}]], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"4", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"t1", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x1", "2"]}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x2", "2"]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "t1"}], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x1"}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x2"}], ")"}]}]}], ")"}]}]}], ")"}]}], 
  "+", 
  RowBox[{
   SuperscriptBox["3", 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["np", 
    RowBox[{"2", "/", "3"}]], " ", 
   SuperscriptBox["\[Pi]", 
    RowBox[{"4", "/", "3"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", " ", "M"}]], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{"nn", "+", "np"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"t1", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x1", "2"]}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           FractionBox["x2", "2"]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", "np", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "t1"}], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x1"}], ")"}]}], "+", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", "2"], "+", "x2"}], ")"}]}]}], ")"}]}]}], ")"}]}], 
  "+", 
  RowBox[{"ham3", " ", "nn", " ", "np", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"nn", "+", "np"}], ")"}], 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}]], " ", "\[Alpha]"}], "+", 
  RowBox[{"ham6", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"nn", "+", "np"}], ")"}], 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["nn", "2"], "+", 
     SuperscriptBox["np", "2"]}], ")"}], " ", "\[Alpha]"}], "+", 
  RowBox[{"ham4", " ", 
   SuperscriptBox["np", 
    RowBox[{"1", "+", "\[Alpha]"}]], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", "\[Alpha]"}], ")"}]}], "+", 
  RowBox[{"ham5", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"nn", "+", "np"}], ")"}], 
    RowBox[{"1", "+", "\[Alpha]"}]], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", "\[Alpha]"}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[BoxData[""], "Input"]
}, Open  ]]
},
ScreenStyleEnvironment->"Presentation",
WindowSize->{1012, 734},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>"skyrme_eos.ps"},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 201, 5, 52, "Input"],
Cell[CellGroupData[{
Cell[783, 29, 40, 0, 47, "Subsubsection"],
Cell[CellGroupData[{
Cell[848, 33, 776, 29, 90, "Input"],
Cell[1627, 64, 776, 28, 142, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2440, 97, 776, 29, 90, "Input"],
Cell[3219, 128, 776, 28, 142, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4032, 161, 185, 6, 61, "Input"],
Cell[4220, 169, 209, 7, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4466, 181, 185, 6, 61, "Input"],
Cell[4654, 189, 209, 7, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4900, 201, 159, 5, 58, "Input"],
Cell[5062, 208, 240, 8, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5339, 221, 159, 5, 58, "Input"],
Cell[5501, 228, 240, 8, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5778, 241, 2011, 63, 298, "Input"],
Cell[7792, 306, 4217, 130, 350, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12058, 442, 64, 0, 47, "Subsubsection"],
Cell[CellGroupData[{
Cell[12147, 446, 260, 8, 52, "Input"],
Cell[12410, 456, 1122, 37, 132, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13569, 498, 615, 22, 99, "Input"],
Cell[14187, 522, 318, 11, 96, "Output"],
Cell[14508, 535, 315, 11, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14860, 551, 498, 16, 59, "Input"],
Cell[15361, 569, 1114, 35, 218, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16512, 609, 91, 2, 52, "Input"],
Cell[16606, 613, 28, 0, 52, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16683, 619, 74, 0, 47, "Subsubsection"],
Cell[16760, 621, 58, 0, 48, "Text"],
Cell[CellGroupData[{
Cell[16843, 625, 331, 10, 52, "Input"],
Cell[17177, 637, 355, 12, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17569, 654, 106, 3, 52, "Input"],
Cell[17678, 659, 358, 12, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18073, 676, 91, 2, 52, "Input"],
Cell[18167, 680, 28, 0, 52, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18244, 686, 64, 0, 47, "Subsubsection"],
Cell[CellGroupData[{
Cell[18333, 690, 531, 17, 136, "Input"],
Cell[18867, 709, 1104, 36, 137, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20008, 750, 425, 13, 52, "Input"],
Cell[20436, 765, 1166, 40, 230, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21639, 810, 109, 3, 57, "Input"],
Cell[21751, 815, 28, 0, 52, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[21828, 821, 45, 0, 47, "Subsubsection"],
Cell[21876, 823, 31, 0, 48, "Text"],
Cell[CellGroupData[{
Cell[21932, 827, 355, 12, 52, "Input"],
Cell[22290, 841, 539, 19, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22866, 865, 960, 28, 164, "Input"],
Cell[23829, 895, 1774, 55, 158, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25640, 955, 1372, 44, 199, "Input"],
Cell[27015, 1001, 1754, 60, 284, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28806, 1066, 91, 2, 52, "Input"],
Cell[28900, 1070, 28, 0, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28965, 1075, 1379, 45, 164, "Input"],
Cell[30347, 1122, 1685, 56, 227, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32069, 1183, 91, 2, 52, "Input"],
Cell[32163, 1187, 28, 0, 52, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[32240, 1193, 59, 0, 47, "Subsubsection"],
Cell[CellGroupData[{
Cell[32324, 1197, 1370, 43, 250, "Input"],
Cell[33697, 1242, 1305, 42, 207, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35039, 1289, 926, 29, 141, "Input"],
Cell[35968, 1320, 3007, 102, 357, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39012, 1427, 233, 7, 52, "Input"],
Cell[39248, 1436, 28, 0, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39313, 1441, 193, 6, 52, "Input"],
Cell[39509, 1449, 3976, 134, 493, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43522, 1588, 193, 6, 52, "Input"],
Cell[43718, 1596, 3976, 134, 493, "Output"]
}, Open  ]],
Cell[47709, 1733, 26, 0, 52, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

