(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     24386,        911]
NotebookOptionsPosition[     21630,        809]
NotebookOutlinePosition[     21965,        824]
CellTagsIndexPosition[     21922,        821]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", " ", "Algebra`Horner`"}]], "Input"],

Cell["For Bosons (try 2):", "Subsubsection"],

Cell[CellGroupData[{

Cell["Non-degenerate and non-relativstic:", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pcoeff", "=", 
  RowBox[{
   SuperscriptBox["t", "2"], 
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{"n", 
      RowBox[{"(", 
       RowBox[{"\[Psi]", "+", 
        RowBox[{"1", "/", "t"}]}], ")"}]}], "]"}], "/", 
    SuperscriptBox["n", "2"]}]}]}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"n", " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "t"], "+", "\[Psi]"}], ")"}]}]], " ", 
   SuperscriptBox["t", "2"]}], 
  SuperscriptBox["n", "2"]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"besselseries", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"BesselK", "[", 
       RowBox[{"2", ",", "x"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "\[Infinity]", ",", "6"}], "}"}]}], "]"}], "]"}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4194304"], 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"-", "x"}]], " ", 
   SqrtBox[
    FractionBox["\[Pi]", "2"]], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox["1", "x"], ")"}], 
    RowBox[{"13", "/", "2"}]], " ", 
   RowBox[{"(", 
    RowBox[{"4729725", "-", 
     RowBox[{"2162160", " ", "x"}], "+", 
     RowBox[{"1330560", " ", 
      SuperscriptBox["x", "2"]}], "-", 
     RowBox[{"1290240", " ", 
      SuperscriptBox["x", "3"]}], "+", 
     RowBox[{"3440640", " ", 
      SuperscriptBox["x", "4"]}], "+", 
     RowBox[{"7864320", " ", 
      SuperscriptBox["x", "5"]}], "+", 
     RowBox[{"4194304", " ", 
      SuperscriptBox["x", "6"]}]}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pn", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"pcoeff", " ", 
    RowBox[{"(", 
     RowBox[{"besselseries", "/.", 
      RowBox[{"x", "\[Rule]", 
       RowBox[{"n", "/", "t"}]}]}], ")"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"4194304", " ", 
    SuperscriptBox["n", "6"]}]], 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"n", " ", "\[Psi]"}]], " ", 
   SqrtBox[
    FractionBox["\[Pi]", "2"]], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox["t", "n"], ")"}], 
    RowBox[{"5", "/", "2"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"4194304", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"7864320", " ", 
      SuperscriptBox["n", "5"], " ", "t"}], "+", 
     RowBox[{"3440640", " ", 
      SuperscriptBox["n", "4"], " ", 
      SuperscriptBox["t", "2"]}], "-", 
     RowBox[{"1290240", " ", 
      SuperscriptBox["n", "3"], " ", 
      SuperscriptBox["t", "3"]}], "+", 
     RowBox[{"1330560", " ", 
      SuperscriptBox["n", "2"], " ", 
      SuperscriptBox["t", "4"]}], "-", 
     RowBox[{"2162160", " ", "n", " ", 
      SuperscriptBox["t", "5"]}], "+", 
     RowBox[{"4729725", " ", 
      SuperscriptBox["t", "6"]}]}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell["\<\
Separate out the first term to make the expansion more clear:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"firstterm", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{"pn", "/", 
        SuperscriptBox["t", 
         RowBox[{"5", "/", "2"}]]}], ",", 
       RowBox[{"t", ">", "0"}]}], "]"}], "/.", 
     RowBox[{"t", "\[Rule]", "0"}]}], ")"}], 
   SuperscriptBox["t", 
    RowBox[{"5", "/", "2"}]]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{"n", " ", "\[Psi]"}]], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    FractionBox["1", "n"], ")"}], 
   RowBox[{"5", "/", "2"}]], " ", 
  SqrtBox[
   FractionBox["\[Pi]", "2"]], " ", 
  SuperscriptBox["t", 
   RowBox[{"5", "/", "2"}]]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"pn", "/", "firstterm"}], ",", 
    RowBox[{"n", ">", "0"}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"1", "+", 
  FractionBox[
   RowBox[{"15", " ", "t"}], 
   RowBox[{"8", " ", "n"}]], "+", 
  FractionBox[
   RowBox[{"105", " ", 
    SuperscriptBox["t", "2"]}], 
   RowBox[{"128", " ", 
    SuperscriptBox["n", "2"]}]], "-", 
  FractionBox[
   RowBox[{"315", " ", 
    SuperscriptBox["t", "3"]}], 
   RowBox[{"1024", " ", 
    SuperscriptBox["n", "3"]}]], "+", 
  FractionBox[
   RowBox[{"10395", " ", 
    SuperscriptBox["t", "4"]}], 
   RowBox[{"32768", " ", 
    SuperscriptBox["n", "4"]}]], "-", 
  FractionBox[
   RowBox[{"135135", " ", 
    SuperscriptBox["t", "5"]}], 
   RowBox[{"262144", " ", 
    SuperscriptBox["n", "5"]}]], "+", 
  FractionBox[
   RowBox[{"4729725", " ", 
    SuperscriptBox["t", "6"]}], 
   RowBox[{"4194304", " ", 
    SuperscriptBox["n", "6"]}]]}]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Non-degenerate and extremely relativistic:", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pcoeff", "=", 
  RowBox[{
   SuperscriptBox["t", "2"], 
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{"n", " ", "\[Psi]"}], "]"}], "/", 
    SuperscriptBox["n", "2"]}]}]}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"n", " ", "\[Psi]"}]], " ", 
   SuperscriptBox["t", "2"]}], 
  SuperscriptBox["n", "2"]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"besselseries", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"BesselK", "[", 
        RowBox[{"2", ",", "x"}], "]"}], 
       RowBox[{"Exp", "[", "x", "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], "+", 
  FractionBox["2", 
   SuperscriptBox["x", "2"]], "+", 
  FractionBox["2", "x"], "-", 
  FractionBox["x", "6"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pn", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"pcoeff", " ", 
    RowBox[{"(", 
     RowBox[{"besselseries", "/.", 
      RowBox[{"x", "\[Rule]", 
       RowBox[{"n", "/", "t"}]}]}], ")"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"n", " ", "\[Psi]"}]], " ", "t", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["n", "2"], " ", "t"}], "+", 
     RowBox[{"12", " ", "n", " ", 
      SuperscriptBox["t", "2"]}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["t", "3"]}]}], ")"}]}], 
  RowBox[{"6", " ", 
   SuperscriptBox["n", "4"]}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"pn", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["n", "4"], "/", "2"}], "/", 
     SuperscriptBox["t", "4"]}], "/", 
    RowBox[{"Exp", "[", 
     RowBox[{"n", " ", "\[Psi]"}], "]"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"1", "-", 
  FractionBox[
   SuperscriptBox["n", "3"], 
   RowBox[{"12", " ", 
    SuperscriptBox["t", "3"]}]], "+", 
  FractionBox[
   SuperscriptBox["n", "2"], 
   RowBox[{"4", " ", 
    SuperscriptBox["t", "2"]}]], "+", 
  FractionBox["n", "t"]}]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Extremely-degenerate:", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"piand", "=", 
  RowBox[{
   RowBox[{"1", "/", "3"}], " ", 
   RowBox[{
    RowBox[{
     SuperscriptBox["l", "4"], "/", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       SuperscriptBox["l", "2"], "+", "1"}], "]"}]}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Sqrt", "[", 
            RowBox[{
             SuperscriptBox["l", "2"], "+", "1"}], "]"}], "-", "1"}], ")"}], 
         "/", "t"}], "-", "\[Psi]"}], "]"}]}], ")"}]}]}]}]], "Input"],

Cell[BoxData[
 FractionBox[
  SuperscriptBox["l", "4"], 
  RowBox[{"3", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SqrtBox[
          RowBox[{"1", "+", 
           SuperscriptBox["l", "2"]}]]}], "t"], "-", "\[Psi]"}]]}], ")"}], 
   " ", 
   SqrtBox[
    RowBox[{"1", "+", 
     SuperscriptBox["l", "2"]}]]}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lsub", "=", 
  RowBox[{"Sqrt", "[", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"y", " ", "t"}], "+", "1"}], ")"}], "2"], "-", "1"}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 SqrtBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"t", " ", "y"}]}], ")"}], "2"]}]]], "Output"]
}, Open  ]],

Cell["Calculate dldy:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dldy", "=", 
  RowBox[{"D", "[", 
   RowBox[{"lsub", ",", "y"}], "]"}]}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{"t", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"t", " ", "y"}]}], ")"}]}], 
  SqrtBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"t", " ", "y"}]}], ")"}], "2"]}]]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"p2", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"piand", "/.", 
     RowBox[{"l", "\[Rule]", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"En", "+", "1"}], ")"}], "2"], "-", "1"}], "]"}]}]}], ",", 
    RowBox[{"En", ">", "0"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", "\[Psi]"], " ", 
   SuperscriptBox["En", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"2", "+", "En"}], ")"}], "2"]}], 
  RowBox[{"3", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"En", "/", "t"}]], "-", 
     SuperscriptBox["\[ExponentialE]", "\[Psi]"]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "En"}], ")"}]}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"p3", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"3", " ", "p2", " ", "dldy", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Exp", "[", "y", "]"}], "-", 
           RowBox[{"Exp", "[", "\[Psi]", "]"}]}], ")"}], "/", 
         RowBox[{"Exp", "[", "\[Psi]", "]"}]}], "/", 
        SuperscriptBox["t", 
         RowBox[{"5", "/", "2"}]]}], "/", 
       SuperscriptBox["y", 
        RowBox[{"3", "/", "2"}]]}], "/", 
      SuperscriptBox["2", 
       RowBox[{"3", "/", "2"}]]}]}], "/.", 
    RowBox[{"En", "\[Rule]", 
     RowBox[{"y", " ", "t"}]}]}], "]"}]}]], "Input"],

Cell[BoxData[
 FractionBox[
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"t", " ", "y", " ", 
     RowBox[{"(", 
      RowBox[{"2", "+", 
       RowBox[{"t", " ", "y"}]}], ")"}]}], ")"}], 
   RowBox[{"3", "/", "2"}]], 
  RowBox[{"2", " ", 
   SqrtBox["2"], " ", 
   SuperscriptBox["t", 
    RowBox[{"3", "/", "2"}]], " ", 
   SuperscriptBox["y", 
    RowBox[{"3", "/", "2"}]]}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{"p3", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "6"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "+", 
   FractionBox[
    RowBox[{"3", " ", "y", " ", "t"}], "4"], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["t", "2"]}], "32"], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["t", "3"]}], "128"], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["t", "4"]}], "2048"], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["t", "5"]}], "8192"], "+", 
   FractionBox[
    RowBox[{"7", " ", 
     SuperscriptBox["y", "6"], " ", 
     SuperscriptBox["t", "6"]}], "65536"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "t", "]"}], 
     RowBox[{"13", "/", "2"}]],
    SeriesData[t, 0, {}, 0, 13, 2],
    Editable->False]}],
  SeriesData[
  t, 0, {1, 0, Rational[3, 4] y, 0, Rational[3, 32] y^2, 0, Rational[-1, 128] 
    y^3, 0, Rational[3, 2048] y^4, 0, Rational[-3, 8192] y^5, 0, 
    Rational[7, 65536] y^6}, 0, 13, 2],
  Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"px", "=", 
  RowBox[{"Series", "[", 
   RowBox[{
    RowBox[{"p2", "/.", 
     RowBox[{"En", "\[Rule]", 
      RowBox[{"y", " ", "t"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "5"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox[
    RowBox[{"4", " ", 
     SuperscriptBox["\[ExponentialE]", "\[Psi]"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["t", "2"]}], 
    RowBox[{"3", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "y"], "-", 
       SuperscriptBox["\[ExponentialE]", "\[Psi]"]}], ")"}]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[ExponentialE]", "\[Psi]"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["t", "4"]}], 
    RowBox[{"3", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "y"], "-", 
       SuperscriptBox["\[ExponentialE]", "\[Psi]"]}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "\[Psi]"], " ", 
       SuperscriptBox["y", "5"]}], ")"}], " ", 
     SuperscriptBox["t", "5"]}], 
    RowBox[{"3", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "y"], "-", 
       SuperscriptBox["\[ExponentialE]", "\[Psi]"]}], ")"}]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "t", "]"}], "6"],
    SeriesData[t, 0, {}, 2, 6, 1],
    Editable->False]}],
  SeriesData[
  t, 0, {Rational[4, 3] E^\[Psi] (E^y - E^\[Psi])^(-1) y^2, 0, Rational[1, 3] 
    E^\[Psi] (E^y - E^\[Psi])^(-1) y^4, Rational[-1, 3] 
    E^\[Psi] (E^y - E^\[Psi])^(-1) y^5}, 2, 6, 1],
  Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"px2", "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"Normal", "[", "px", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["8", "3"], " ", 
   SuperscriptBox["t", "2"], " ", 
   RowBox[{"PolyLog", "[", 
    RowBox[{"3", ",", 
     SuperscriptBox["\[ExponentialE]", "\[Psi]"]}], "]"}]}], "+", 
  RowBox[{"8", " ", 
   SuperscriptBox["t", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"PolyLog", "[", 
      RowBox[{"5", ",", 
       SuperscriptBox["\[ExponentialE]", "\[Psi]"]}], "]"}], "-", 
     RowBox[{"5", " ", "t", " ", 
      RowBox[{"PolyLog", "[", 
       RowBox[{"6", ",", 
        SuperscriptBox["\[ExponentialE]", "\[Psi]"]}], "]"}]}]}], 
    ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{"px2", ",", 
   RowBox[{"{", 
    RowBox[{"\[Psi]", ",", "0", ",", "3"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["8", "189"]}], " ", 
      SuperscriptBox["\[Pi]", "6"], " ", 
      SuperscriptBox["t", "5"]}], "+", 
     RowBox[{
      FractionBox["8", "3"], " ", 
      SuperscriptBox["t", "2"], " ", 
      RowBox[{"Zeta", "[", "3", "]"}]}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["t", "4"], " ", 
      RowBox[{"Zeta", "[", "5", "]"}]}]}], ")"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"4", " ", 
        SuperscriptBox["\[Pi]", "2"], " ", 
        SuperscriptBox["t", "2"]}], "9"], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        SuperscriptBox["\[Pi]", "4"], " ", 
        SuperscriptBox["t", "4"]}], "45"], "-", 
      RowBox[{"40", " ", 
       SuperscriptBox["t", "5"], " ", 
       RowBox[{"Zeta", "[", "5", "]"}]}]}], ")"}], " ", "\[Psi]"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["t", "2"]}], "-", 
      RowBox[{
       FractionBox["4", "3"], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
       SuperscriptBox["t", "2"]}], "-", 
      FractionBox[
       RowBox[{"2", " ", 
        SuperscriptBox["\[Pi]", "4"], " ", 
        SuperscriptBox["t", "5"]}], "9"], "-", 
      RowBox[{
       FractionBox["4", "3"], " ", 
       SuperscriptBox["t", "2"], " ", 
       RowBox[{"Log", "[", "\[Psi]", "]"}]}], "+", 
      RowBox[{"4", " ", 
       SuperscriptBox["t", "4"], " ", 
       RowBox[{"Zeta", "[", "3", "]"}]}]}], ")"}], " ", 
    SuperscriptBox["\[Psi]", "2"]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", 
         SuperscriptBox["t", "2"]}], "9"]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SuperscriptBox["\[Pi]", "2"], " ", 
        SuperscriptBox["t", "4"]}], "9"], "-", 
      RowBox[{
       FractionBox["20", "3"], " ", 
       SuperscriptBox["t", "5"], " ", 
       RowBox[{"Zeta", "[", "3", "]"}]}]}], ")"}], " ", 
    SuperscriptBox["\[Psi]", "3"]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Psi]", "]"}], "4"],
    SeriesData[\[Psi], 0, {}, 0, 4, 1],
    Editable->False]}],
  SeriesData[\[Psi], 0, {
   Rational[-8, 189] Pi^6 t^5 + Rational[8, 3] t^2 Zeta[3] + 8 t^4 Zeta[5], 
    Rational[4, 9] Pi^2 t^2 + Rational[4, 45] Pi^4 t^4 - 40 t^5 Zeta[5], 
    2 t^2 + Complex[0, 
       Rational[-4, 3]] Pi t^2 + Rational[-2, 9] Pi^4 t^5 + 
    Rational[-4, 3] t^2 Log[\[Psi]] + 4 t^4 Zeta[3], Rational[-2, 9] t^2 + 
    Rational[2, 9] Pi^2 t^4 + Rational[-20, 3] t^5 Zeta[3]}, 0, 4, 1],
  Editable->False]], "Output"]
}, Open  ]],

Cell["ED:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"px3", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"Normal", "[", 
       RowBox[{"Series", "[", 
        RowBox[{
         RowBox[{"p2", "/.", 
          RowBox[{"En", "\[Rule]", 
           RowBox[{"y", " ", "t"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "\[Infinity]", ",", "3"}], "}"}]}], "]"}], "]"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"\[Psi]", ",", "0", ",", "3"}], "}"}]}], "]"}], "]"}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"18", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["\[ExponentialE]", "y"]}], ")"}], "4"], " ", 
    SuperscriptBox["t", "3"], " ", 
    SuperscriptBox["y", "3"]}]], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"t", " ", "y"}], "+", 
     RowBox[{
      SuperscriptBox["t", "2"], " ", 
      SuperscriptBox["y", "2"]}], "-", 
     RowBox[{
      SuperscriptBox["t", "3"], " ", 
      SuperscriptBox["y", "3"]}], "+", 
     RowBox[{
      SuperscriptBox["t", "4"], " ", 
      SuperscriptBox["y", "4"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["t", "5"], " ", 
      SuperscriptBox["y", "5"]}], "+", 
     RowBox[{
      SuperscriptBox["t", "6"], " ", 
      SuperscriptBox["y", "6"]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "6"}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", "y"], " ", 
      RowBox[{"(", 
       RowBox[{"18", "+", 
        RowBox[{"6", " ", "\[Psi]"}], "-", 
        RowBox[{"3", " ", 
         SuperscriptBox["\[Psi]", "2"]}], "+", 
        SuperscriptBox["\[Psi]", "3"]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"3", " ", "y"}]], " ", 
      RowBox[{"(", 
       RowBox[{"6", "+", 
        RowBox[{"6", " ", "\[Psi]"}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["\[Psi]", "2"]}], "+", 
        SuperscriptBox["\[Psi]", "3"]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", "y"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "9"}], "-", 
        RowBox[{"6", " ", "\[Psi]"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[Psi]", "3"]}]}], ")"}]}]}], ")"}]}]}]], "Output"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{640, 750},
WindowMargins->{{150, Automatic}, {Automatic, 52}},
FrontEndVersion->"6.0 for Linux x86 (64-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 64, 1, 32, "Input"],
Cell[635, 24, 44, 0, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[704, 28, 60, 0, 24, "Subsubsection"],
Cell[CellGroupData[{
Cell[789, 32, 289, 10, 32, "Input"],
Cell[1081, 44, 268, 9, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1386, 58, 335, 10, 32, "Input"],
Cell[1724, 70, 751, 24, 119, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2512, 99, 238, 7, 32, "Input"],
Cell[2753, 108, 1026, 32, 105, "Output"]
}, Open  ]],
Cell[3794, 143, 85, 2, 31, "Text"],
Cell[CellGroupData[{
Cell[3904, 149, 389, 13, 32, "Input"],
Cell[4296, 164, 318, 11, 59, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4651, 180, 177, 5, 32, "Input"],
Cell[4831, 187, 814, 29, 49, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5694, 222, 67, 0, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[5786, 226, 210, 7, 32, "Input"],
Cell[5999, 235, 189, 6, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6225, 246, 384, 12, 32, "Input"],
Cell[6612, 260, 179, 6, 46, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6828, 271, 238, 7, 32, "Input"],
Cell[7069, 280, 500, 16, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7606, 301, 276, 9, 31, "Input"],
Cell[7885, 312, 284, 10, 46, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8218, 328, 46, 0, 28, "Subsubsection"],
Cell[CellGroupData[{
Cell[8289, 332, 614, 21, 31, "Input"],
Cell[8906, 355, 480, 18, 83, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9423, 378, 218, 8, 31, "Input"],
Cell[9644, 388, 184, 7, 35, "Output"]
}, Open  ]],
Cell[9843, 398, 31, 0, 32, "Text"],
Cell[CellGroupData[{
Cell[9899, 402, 107, 3, 27, "Input"],
Cell[10009, 407, 309, 12, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10355, 424, 352, 11, 32, "Input"],
Cell[10710, 437, 475, 15, 48, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11222, 457, 682, 21, 55, "Input"],
Cell[11907, 480, 392, 14, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12336, 499, 142, 4, 32, "Input"],
Cell[12481, 505, 1129, 35, 48, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13647, 545, 255, 8, 32, "Input"],
Cell[13905, 555, 1483, 44, 58, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15425, 604, 218, 6, 32, "Input"],
Cell[15646, 612, 611, 19, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16294, 636, 148, 4, 32, "Input"],
Cell[16445, 642, 2703, 79, 161, "Output"]
}, Open  ]],
Cell[19163, 724, 19, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[19207, 728, 549, 17, 99, "Input"],
Cell[19759, 747, 1843, 58, 94, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

